Index: trunk/SRC/Documentation/idldoc_html_output/ToBeReviewed/COULEURS/getcolor.html
===================================================================
--- trunk/SRC/Documentation/idldoc_html_output/ToBeReviewed/COULEURS/getcolor.html	(revision 163)
+++ trunk/SRC/Documentation/idldoc_html_output/ToBeReviewed/COULEURS/getcolor.html	(revision 168)
@@ -1,1228 +1,0 @@
-
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
- "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
-
-<!-- Generated by IDLdoc 2.0 -->
-
-<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
-  <head>
-    <title>getcolor.pro (SAXO Documentation)</title>
-
-    
-    <style type="text/css" media="all">
-      
-/* CSS for all files which appear in the "main" viewing area: overview,
-   directory overviews, warnings, index, search, pro files, source
-   code, help, and etc files. */
-
-/* Link styles --------------------------------------------------------------- */
-
-a { text-decoration: none; }
-
-a:link, a:visited { 
-  color: #660000; 
-  border-bottom: 1px dotted #C0C0F0;   
-}
-
-a:hover, a:focus { 
-  color: #993333; 
-  background: #FFFFCC; 
-  border-bottom: 1px dotted #303099; 
-}
-
-
-/* Main styles --------------------------------------------------------------- */
-p.preformat {
-  font-family: Courier;
-}
-p.preformat {
-  font-family: Courier;
-}
-p.preformat {
-  font-family: Courier;
-}
-p.preformat {
-  font-family: Courier;
-}
-p.preformat {
-  font-family: Courier;
-}
-p.preformat {
-  font-family: Courier;
-}
-p.preformat {
-  font-family: Courier;
-}
-p.preformat {
-  font-family: Courier;
-}
-p.preformat {
-  font-family: Courier;
-}
-p.preformat {
-  font-family: Courier;
-}
-p.preformat {
-  font-family: Courier;
-}
-p.preformat {
-  font-family: Courier;
-}
-p.preformat {
-  font-family: Courier;
-}
-p.preformat {
-  font-family: Courier;
-}
-p.preformat {
-  font-family: Courier;
-}
-p.preformat {
-  font-family: Courier;
-}
-p.preformat {
-  font-family: Courier;
-}
-p.preformat {
-  font-family: Courier;
-}
-p.preformat {
-  font-family: Courier;
-}
-p.preformat {
-  font-family: Courier;
-}
-p.preformat {
-  font-family: Courier;
-}
-p.preformat {
-  font-family: Courier;
-}
-p.preformat {
-  font-family: Courier;
-}
-p.preformat {
-  font-family: Courier;
-}
-p.preformat {
-  font-family: Courier;
-}
-p.preformat {
-  font-family: Courier;
-}
-p.preformat {
-  font-family: Courier;
-}
-p.preformat {
-  font-family: Courier;
-}
-p.preformat {
-  font-family: Courier;
-}
-p.preformat {
-  font-family: Courier;
-}
-p.preformat {
-  font-family: Courier;
-}
-p.preformat {
-  font-family: Courier;
-}
-p.preformat {
-  font-family: Courier;
-}
-p.preformat {
-  font-family: Courier;
-}
-p.preformat {
-  font-family: Courier;
-}
-p.preformat {
-  font-family: Courier;
-}
-p.preformat {
-  font-family: Courier;
-}
-p.preformat {
-  font-family: Courier;
-}
-p.preformat {
-  font-family: Courier;
-}
-p.preformat {
-  font-family: Courier;
-}
-p.preformat {
-  font-family: Courier;
-}
-p.preformat {
-  font-family: Courier;
-}
-p.preformat {
-  font-family: Courier;
-}
-p.preformat {
-  font-family: Courier;
-}
-
-body {
-  margin: 0;
-  padding: 0;
-  font-size: 10pt;
-  font-family: Verdana, Helvetica, Arial, sans-serif;
-  background-color: #FFFFFF;
-}
-
-p {
-  margin-top: 0.5em;
-  margin-bottom: 0;
-}
-
-#container { margin: 1em; }
-
-code.section { white-space: pre; }
-
-pre.snippet {
-  margin-left: 5%;
-  background: #F0F0F0;
-  border: 1px dashed #999999;
-  width: 43em;
-  padding: 0.5em 0.5em 0.5em 0.5em;
-  white-space: pre;
-}
-
-/* Navbar styles ------------------------------------------------------------- */
-
-#navbar_title {
-  color: #000033;
-  background-color: #F0F0FF;
-  font-family: Arial, Helvetica, sans-serif;
-  padding: 20px 30px;
-  border-bottom: 1px solid #000033;
-}
-
-#navbar_title * {
-  margin: 0;
-  padding: 0;
-}
-
-#navbar_title h1 {
-  letter-spacing: 0.1em;
-  font-variant: small-caps;
-  font-size: 250%;
-  text-indent: -1em;
-  padding-left: 1em; 
-}
-
-#navbar_title h2 {
-  font-size: 110%;
-  font-weight: normal;
-  color: #333399;
-}
-
-#main_navbar table {
-  width: 100%;
-  border-bottom: 1px solid #666699;
-}
-
-#main_navbar td {
-  background: #CCCCFF;
-  font-size: 80%;
-  font-weight: bold;
-  font-family: Arial, Helvetica, sans-serif;
-  border-top: 3px solid #CCCCFF;
-  border-bottom: 3px solid #CCCCFF;
-  padding-left: 6px;
-  padding-right: 6px;
-  margin: 0;
-}
-
-#main_navbar td#selected {
-  background: #CCCCFF;
-  font-size: 80%;
-  font-weight: bold;
-  font-family: Arial, Helvetica, sans-serif;
-  border-top: 3px solid #333399;
-  border-bottom: 3px solid #CCCCFF;
-  padding-left: 6px;
-  padding-right: 6px;
-  margin: 0;
-}
-
-#main_navbar td#flexible {
-  width: 100%;
-  text-align: right;
-  padding-right: 1em;
-  background: #CCCCFF;
-  font-size: 70%;
-  font-weight: normal;
-  font-family: Arial, Helvetica, sans-serif;
-  text-transform: uppercase;
-  border-top: 3px solid #CCCCFF;
-  border-bottom: 3px solid #CCCCFF;
-}
-
-#main_navbar a:link, #main_navbar a:visited { color: #660000; border: 0; }
-
-#main_navbar a:hover, #main_navbar a:focus {
-  color: #FFFF66;
-  background: #CCCCFF;
-  border-bottom: 1px none #606099; 
-  border: 0;
-}
-
-#secondary_navbar {
-  font-size: 80%;
-  font-weight: normal;
-  font-family: Arial, Helvetica, sans-serif;
-  margin-top: 4px;
-  margin-left: 20px;
-  white-space: nowrap;
-}
-
-
-/* Tagline and footer styles ------------------------------------------------- */
-
-div#tagline {
-  margin-top: 6px;
-  border-top: 1px dotted lightsteelblue;
-  padding-top: 6px;
-  font-size: 66%;
-  font-style: italic;
-}
-
-div#footer {
-  margin-top: 6px;
-  border-top: 1px dotted lightsteelblue;
-  padding-top: 6px;
-  font-size: 66%;
-  font-style: italic;
-}
-
-/* Basic data presenation styles -------------------------------------------- */
-
-.index_letter { 
-  font-size: 300%;
-  font-weight: bold;
-  color: #000066; 
-  margin: 0.5em 0 0 -0.1em;
-}
-
-h1, h2, h3, h4 {
-  font-weight: normal;
-  color: #3333CC;
-}
-
-h1 {
-  padding-top: 0.75em;
-  font-size: 160%;
-}
-
-h2 {
-  padding-top: 1em;
-  font-size: 120%;
-  }
-
-h3 {
-  padding-top: 0.75em;
-  margin-bottom: 0.25em;
-  font-size: 100%;
-}
-
-h4 {
-  padding: 0;
-  margin: 0.5em 0 0 0;
-  font-size: 80%;
-}
-
-table.basic {
-  empty-cells: show;
-  margin: 1.5em 1em 0 1em;
-  border: 1px dotted #CFCFFF;
-  font-size: 80%;
-}
-
-table.basic th {
-  background-color: #F0F0FF;
-  font-weight: bold;
-  text-align: left;
-  padding: 4px 1em 4px 4px;
-  border-bottom: 1px dotted #666699;
-}
-
-table.basic td {
-  vertical-align: top;
-  padding: 4px 1em 4px 4px;
-}
-
-dd {
-  margin-bottom: 0.25em;
-  font-size: 80%;
-}
-
-
-/* Warnings styles ----------------------------------------------------------- */
-
-
-#todo dl, #bugs dl { 
-  margin: 0 0 0 1.5em;
-  font-size: 80%;
-}
-
-#todo dd, #bugs dd { 
-  margin-left: 3em; 
-  font-size: 100%;
-}
-
-#undoc table, #obsolete table, #statistics table {
-  width: 80%;
-  margin-left: 2em;
-}
-
-#undoc td, #obsolete td, #statistics td { 
-  padding: 0 0 0 0;
-  font-size: 80%;
-  white-space: nowrap;
-}
-
-#undoc td.docroutine, #obsolete td.obsroutine, #statistics td.statroutine { width: 50%; }
-
-#undoc td.docstat, #statistics td.stat { 
-  width: 50%;
-  text-align: right;
-}
-
-#undoc td.partialdoc, #statistics td.caution { color: #CC6600; }
-
-#undoc td.notdoc, #statistics td.warning { color: #993333; }
-
-/* File + routine styles ----------------------------------------------------- */
-
-h1.directory { 
-  padding: 1em 0 0 0;
-  margin: 0;
-  font-size: 66%;
-}
-
-h1.directory a { border-bottom: 0; }
-
-h2.pro_file { 
-  padding: 0;
-  margin: 0;
-  font-size: 140%;
-}
-
-div#file_attr {
-  padding: 0 1em 0 1em;
-  margin: 1em;
-  background: #F6F6F6;
-  border: 1px dotted #999999;
-}
-
-div#file_attr dt {
-  font-size: 80%;
-  font-weight: bold;
-}
-
-div#file_attr dd {
-  font-size: 80%;
-}
-
-div#class_diagram { 
-  padding: 1em 0 1em 0; 
-  white-space: pre;
-  font-family: 'Courier New';
-}
-
-table#sav_attr { 
-  font-size: 90%; 
-  margin: 1em; 
-  padding: 1em 1em 1em 1em;
-  background: #F6F6F6;
-  border: 1px dotted #999999;
-}
-
-table#sav_attr th { text-align: left; }
-
-table#sav_attr td { vertical-align: top; padding-right: 2em; }
-
-table#sav_attr td.value { width: 20em; padding-right: 0em; font-style: italic; }
-
-p.sav_warning { margin-left: 4em; font-family: 80%; }
-
-table.variables { 
-  font-family: 'Courier New', monospace; 
-  font-size: 80%; 
-  text-indent: -2em; 
-  padding-left: 2em; 
-}
-
-table.variables td.image { width: 64px; }
-
-div#file_comments { white-space: pre; white-space: pre; white-space: pre; white-space: pre; white-space: pre; white-space: pre; white-space: pre; white-space: pre; white-space: pre; white-space: pre; white-space: pre; white-space: pre; white-space: pre; white-space: pre; white-space: pre; white-space: pre; white-space: pre; white-space: pre; white-space: pre; white-space: pre; white-space: pre; white-space: pre; white-space: pre; white-space: pre; white-space: pre; white-space: pre; white-space: pre; white-space: pre; white-space: pre; white-space: pre; white-space: pre; white-space: pre; white-space: pre; white-space: pre; white-space: pre; white-space: pre; white-space: pre; white-space: pre; white-space: pre; white-space: pre; white-space: pre; white-space: pre; white-space: pre; white-space: pre; white-space: pre; white-space: pre; white-space: pre; white-space: pre; white-space: pre; white-space: pre; white-space: pre; white-space: pre; white-space: pre; white-space: pre; white-space: pre; white-space: pre; white-space: pre; white-space: pre; white-space: pre; white-space: pre; white-space: pre; white-space: pre; white-space: pre; white-space: pre; white-space: pre; white-space: pre; white-space: pre; white-space: pre; white-space: pre; white-space: pre; white-space: pre; white-space: pre; white-space: pre; white-space: pre; white-space: pre; white-space: pre; white-space: pre; white-space: pre; white-space: pre; white-space: pre; white-space: pre; white-space: pre; white-space: pre; white-space: pre; white-space: pre; white-space: pre; white-space: pre; white-space: pre; white-space: pre; white-space: pre; white-space: pre; white-space: pre; white-space: pre; white-space: pre; white-space: pre; white-space: pre; white-space: pre; white-space: pre; white-space: pre; 
-  margin: 2em;
-  font-size: 80%;
-}
-
-
-div.field_summary {
-  padding: 0 1em 0 1em;
-  margin: 1em;
-  background: #FFFFF0;
-  border: 1px dotted #C0C000;
-}
-
-div#routine_summary {  
-  padding: 0 1em 0 1em;
-  margin: 1em;
-  background: #F0F0FF;
-  border: 1px dotted #9999FF;
-}
-
-div.field_summary h2, div#routine_summary h2 { 
-  padding: 0.5em 0 0 0;
-  margin: 0;
-}
-
-div.field_summary table, div.field_summary p { 
-  margin: 1em 1em;
-}
-
-div.field_summary td.name { 
-  vertical-align: top;
-  padding-bottom: 0.25em;
-  color: #3333CC;
-}
-
-div.field_summary span.field_type {  
-  font-weight: normal;
-  font-size: 80%;
-  color: black;
-}
-
-div.field_summary td.comments { 
-  vertical-align: top;
-  padding-left: 2em;
-  font-size: 80%;
-}
-
-p.commaList { 
-  margin: 1em 1em 1em 1em;
-}
-
-span.warning { 
-  color: #CC6633;
-  font-weight: bold;
-  font-size: 66%;
-  text-transform: uppercase;
-}
-
-span.categories { 
-  color: #006633;
-  font-weight: bold;
-  font-size: 66%;
-  text-transform: uppercase;
-}
-
-span.undoc { 
-  color: #FF6633;
-  font-weight: bold;
-  font-size: 80%;
-  text-transform: uppercase;
-}
-
-span.attr { 
-  color: #006633;
-  font-weight: bold;
-  font-size: 80%;
-  text-transform: uppercase;
-}
-
-span.value { 
-  color: #006633;
-  font-weight: normal;
-  text-transform: none;
-}
-
-a.top { 
-  font-weight: bold;
-  font-size: 66%;
-  text-transform: uppercase;
-  float: right;
-}
-
-span.result { 
-  font-family: Verdana, Arial, Helvetica, sans-serif;
-  font-style: italic;
-  font-size: 80%;
-}
-
-div#routine_summary p, div.routine_details p.header { 
-  padding-top: 0.5em;
-  margin-left: 1.5em;
-  text-indent: -1.5em;
-  font-family: 'Courier New', monospace;
-}
-
-div.routine_details {  
-  padding: 0.5em 1em 0.5em 1em;
-  margin: 1em;
-  border: 1px dotted #CCCCCC;
-}
-
-div.routine_details h2 {  
-  padding-top: 0;
-  margin-top: 0;
-}
-
-div.routine_details div.value { 
-  margin: 0 1em 0 1em;
-  font-size: 80%;
-}
-
-div.routine_details div.comments { 
-  font-size: 80%;
-  margin: 0.75em 1em 1em 1em;
-}
-
-div.routine_details div.preformat { 
-  white-space: pre;
-}
-
-table.statistics { 
-  font-size: 80%;
-  margin-left: 1em;
-}
-
-table.statistics td { 
-  padding: 0 2em 0 0;
-}
-
-/* Overview styles ----------------------------------------------------------- */
-
-div.overview { 
-  width: 100%;
-  margin-top: 1em;
-  clear: both;
-}
-
-div.overview table {
-  empty-cells: show;
-  font-size: 90%;
-  margin: 1em 1em 1em 1em;
-  padding: 1em 0.5em 1em 0.5em;
-  background: #F6F6F6;
-  border: 1px dotted #999999;
-}
-
-div.overview td {
-  padding: 3px 1em 3px 1em;
-}
-
-div.overview td.dir {
-  width: 1%;
-  vertical-align: top;
-  text-align: right;
-  padding-right: 1em;
-}
-
-
-/* Navigation list styles for tree structures -------------------------------- */
-
-#tree {
-  text-align: left;
-  font-size: 90%;
-  margin: 0.75em 0 0.75em 0;
-  padding: 0;
-}
-
-#tree ul {
-  text-align: left;
-  margin: 0;
-  padding: 0;
-}
-
-#tree li {
-  margin: 0 0 0 15px;
-  padding: 0;
-  list-style-type: none;
-}
-
-#tree .symbols {
-  float: left;
-  width: 12px;
-  height: 1em;
-  padding-left: 4px;
-  background-position: 0 100%;
-  background-repeat: no-repeat;
-}
-
-/* Search styles ------------------------------------------------------------- */
-
-input.writein { 
-  padding-left: 0.5em;
-  border: 1px solid #CCCCCC;
-  font-family: 'Courier New';
-  background: #FFFFF3;
-}
-
-#search form { 
-  margin-left: 2em;
-}
-
-#search table { 
-  margin: 1em 1em 0 2em;
-  padding: 1em 2em 1em 2em;
-  background: #F6F6F6;
-  border: 1px dotted #999999;
-}
-
-#search tr { 
-  text-align: center;
-}
-
-#search td { 
-  font-size: 80%; 
-  text-align: left;
-}
-
-#search td * { 
-  vertical-align: middle;
-}
-
-#search p { 
-  font-size: 66%;
-  margin: 0 3em 2em 3em;
-}
-
-/* Help styles --------------------------------------------------------------- */
-
-div.toc { 
-  padding: 0 1em 0 1em;
-  margin: 1em;
-  background: #F0F0FF;
-  border: 1px dotted #9999FF;  
-  width: 19em;
-}
-
-div.right { 
-  float: right;
-  width: 22em;
-}
-
-ol.toc { 
-  list-style-type: upper-roman;
-}
-
-ol.toc ol { 
-  padding-left: 3em;
-  margin-left: 0;
-  list-style-type: lower-alpha;
-}
-
-dl.variables dt { font-size: 80%; }
-dl.variables dd { margin-bottom: 0.5em; }
-
-    </style>
-    <style type="text/css" media="print">
-      #navbar_title { 
-  background-color: #FFFFFF;  
-}
-
-#main_navbar td {
-  background: #FFFFFF;
-  border-top: 0.25em solid #FFFFFF;
-  border-bottom: 0.25em solid #FFFFFF;
-}
-
-#main_navbar td#selected {
-  background: #FFFFFF;
-  border-top: 0.25em solid #333399;
-  border-bottom: 0.25em solid #FFFFFF;
-}
-
-#main_navbar td#flexible {
-  background: #FFFFFF;
-  border-top: 0.25em solid #FFFFFF;
-  border-bottom: 0.25em solid #FFFFFF;
-}
-
-#secondary_navbar {
-  display: none;
-}
-
-    </style>
-    
-
-    <script type="text/javascript">
-      function setTitle() {
-        parent.document.title="getcolor.pro (SAXO Documentation)";
-      }
-    </script>
-  </head>
-
-  <body onload="setTitle();">
-
-    <div id="navbar_title">
-  <h1>SAXO Documentation</h1>
-</div>
-
-
-<div id="main_navbar">
-
-  <table cellspacing="0">
-    <tr>
-      
-      <td><a href="./../../overview.html?format=raw" title="Overview of library">Overview</a></td>
-      
-
-      
-      <td >Directory</td>
-      
-
-      
-      <td><a href="./../../idldoc-categories.html?format=raw" title="Browse library by category">Categories</a></td>
-      
-
-      
-      <td><a href="./../../idldoc-index.html?format=raw" title="Index of files, routines, and parameters">Index</a></td>
-      
-
-      
-      <td><a href="./../../search-page.html?format=raw" title="Search library">Search</a></td>
-      
-
-      <td id="selected">File</td>
-
-      
-      <td >Source</td>
-      
-
-      
-      <td><a href="./../../idldoc-help.html?format=raw" title="Help on IDLdoc">Help</a></td>
-      
-
-      <td >Etc</td>
-
-      <td id="flexible">Developer&nbsp;documentation</td>
-    </tr>
-  </table>
-
-</div>
-
-<div id="secondary_navbar">
-
-<a href="colorbar.html?format=raw">&lt;&lt;prev file</a> | <a href="lct.html?format=raw">next file &gt;&gt;</a>&nbsp;&nbsp;&nbsp;&nbsp;<a href="getcolor.html?format=raw" target="_TOP">view single page</a> | <a href="./../../index.html?format=raw" target="_TOP">view frames</a>&nbsp;&nbsp;&nbsp;&nbsp;summary: fields | <a href="#routine_summary">routine</a>&nbsp;&nbsp;&nbsp;&nbsp;details: <a href="#routine_details">routine</a>
-
-</div>
-
-
-    <div id="container">
-
-      <h1 class="directory"><a href="directory-overview.html?format=raw">ToBeReviewed/COULEURS/</a></h1>
-      <h2 class="pro_file">getcolor.pro</h2>
-
-      <div id="file_attr">
-	<dl>
-	</dl>
-      </div>
-
-      <div id="file_comments"></div>
-
-      
-
-      
-
-      
-
-      
-      <div id="routine_summary">		
-	<h2>Routine summary</h2>
-	
-	<dl>
-	  
-	  <dt><p><a href="#_COLOR24"><span class="result">result = </span>COLOR24(<span class="result">number</span>)</a></p><dt>
-	  <dd>  NAME:        GETCOLOR   PURPOSE:        The original purpose of this function was to enable the        user to specify one of the 16 colors supported by the        McIDAS color map by name.</dd>	
-	  
-	  <dt><p><a href="#_GETCOLOR"><span class="result">result = </span>GETCOLOR(<span class="result">thisColor, index</span>, TRUE=<span class="result">TRUE</span>, NAMES=<span class="result">NAMES</span>, LOAD=<span class="result">LOAD</span>, START=<span class="result">START</span>)</a></p><dt>
-	  <dd></dd>	
-	  	
-	</dl>
-      </div>
-      
-
-      <div id="routine_details">
-	
-
-	<div class="routine_details" id="_COLOR24">
-
-	  <h2><a class="top" href="#container">top</a>COLOR24 </h2>
-	
-	  <p class="header">
-	    <span class="result">result = </span>COLOR24(<span class="result"><a href="#_COLOR24_param_number">number</a></span>)</p>
-	
-	  <div class="comments">
- NAME:
-       GETCOLOR
-
- PURPOSE:
-       The original purpose of this function was to enable the
-       user to specify one of the 16 colors supported by the
-       McIDAS color map by name. Over time, however, the function
-       has become a general purpose function for handling and
-       supporting drawing colors in a device-independent way.
-       In particular, I have been looking for ways to write color
-       handling code that will work transparently on both 8-bit and
-       24-bit machines. On 24-bit machines, the code should work the
-       same where color decomposition is turned on or off.
-
-       (The 16 supported colors in GETCOLOR come from the McIDAS color
-       table offered on the IDL newsgroup by Liam Gumley.)
-
- CATEGORY:
-       Graphics, Color Specification.
-
- CALLING SEQUENCE:
-       result = GETCOLOR(color)
-
- OPTIONAL INPUT PARAMETERS:
-       COLOR: A string with the "name" of the color. Valid names are:
-           black
-           magenta
-           cyan
-           yellow
-           green
-           red
-           blue
-           navy
-           gold
-           pink
-           aqua
-           orchid
-           gray
-           sky
-           beige
-           white
-
-           The color YELLOW is returned if the color name can't be resolved.
-           Case is unimportant.
-
-           If the function is called with just this single input parameter,
-           the return value is either a 1-by-3 array containing the RGB values of
-           that particular color, or a 24-bit integer that can be "decomposed" into
-           that particular color, depending upon the state of the TRUE keyword and
-           upon whether color decomposition is turned on or off. The state of color
-           decomposition can ONLY be determined if the program is being run in
-           IDL 5.2 or higher.
-
-       INDEX: The color table index where the specified color should be loaded.
-           If this parameter is passed, then the return value of the function is the
-           index number and not the color triple. (If color decomposition is turned
-           on AND the user specifies an index parameter, the color is loaded in the
-           color table at the proper index, but a 24-bit value is returned to the
-           user in IDL 5.2 and higher.)
-
-       If no positional parameter is present, then the return value is either a 16-by-3
-       byte array containing the RGB values of all 16 colors or it is a 16-element
-       long integer array containing color values that can be decomposed into colors.
-       The 16-by-3 array is appropriate for loading color tables with the TVLCT command:
-
-           Device, Decomposed=0
-           colors = GetColor()
-           TVLCT, colors, 100
-
-
- INPUT KEYWORD PARAMETERS:
-
-       NAMES: If this keyword is set, the return value of the function is
-              a 16-element string array containing the names of the colors.
-              These names would be appropriate, for example, in building
-              a list widget with the names of the colors. If the NAMES
-              keyword is set, the COLOR and INDEX parameters are ignored.
-
-                 listID = Widget_List(baseID, Value=GetColor(/Names), YSize=16)
-
-       LOAD:  If this keyword is set, all 16 colors are automatically loaded
-              starting at the color index specified by the START keyword.
-              Note that setting this keyword means that the return value of the
-              function will be a structure, with each field of the structure
-              corresponding to a color name. The value of each field will be
-              an index number (set by the START keyword) corresponding to the
-              associated color, or a 24-bit long integer value that creates the
-              color on a true-color device. What you have as the field values is
-              determined by the TRUE keyword or whether color decomposition is on
-              or off in the absense of the TRUE keyword. It will either be a 1-by-3
-              byte array or a long integer value.
-
-       START: The starting color index number if the LOAD keyword is set. This keyword
-              value is ignored unless the LOAD keyword is also set. The keyword is also
-              ignored if the TRUE keyword is set or if color decomposition in on in
-              IDL 5.2 and higher. The default value for the START keyword is
-              !D.TABLE_SIZE - 17.
-
-       TRUE:  If this keyword is set, the specified color triple is returned
-              as a 24-bit integer equivalent. The lowest 8 bits correspond to
-              the red value; the middle 8 bits to the green value; and the
-              highest 8 bits correspond to the blue value. In IDL 5.2 and higher,
-              if color decomposition is turned on, it is as though this keyword
-              were set.
-
- COMMON BLOCKS:
-       None.
-
- SIDE EFFECTS:
-       None.
-
- RESTRICTIONS:
-       The TRUE keyword causes the START keyword to be ignored.
-       The NAMES keyword causes the COLOR, INDEX, START, and TRUE parameters to be ignored.
-       The COLOR parameter is ignored if the LOAD keyword is used.
-       On systems where it is possible to tell the state of color decomposition
-       (i.e., IDL 5.2 and higher), a 24-bit value (or values) is automatically
-       returned if color decomposition is ON.
-
- EXAMPLE:
-       To load a yellow color in color index 100 and plot in yellow, type:
-
-          yellow = GETCOLOR('yellow', 100)
-          PLOT, data, COLOR=yellow
-
-       or,
-
-          PLOT, data, COLOR=GETCOLOR('yellow', 100)
-
-       To do the same thing on a 24-bit color system with decomposed color on, type:
-
-          PLOT, data, COLOR=GETCOLOR('yellow', /TRUE)
-
-       or in IDL 5.2 and higher,
-
-          DEVICE, Decomposed=1
-          PLOT, data, COLOR=GETCOLOR('yellow')
-
-       To load all 16 colors into the current color table, starting at
-       color index 200, type:
-
-          TVLCT, GETCOLOR(), 200
-
-       To add the color names to a list widget:
-
-           listID = Widget_List(baseID, Value=GetColor(/Names), YSize=16)
-
-       To load all 16 colors and have the color indices returned in a structure:
-
-           DEVICE, Decomposed=0
-           colors = GetColor(/Load, Start=1)
-           HELP, colors, /Structure
-           PLOT, data, COLOR=colors.yellow
-
-       To get the direct color values as 24-bit integers in color structure fields:
-
-           DEVICE, Decomposed=1
-           colors = GetColor(/Load)
-           PLOT, data, COLOR=colors.yellow
-
-       Note that the START keyword value is ignored if on a 24-bit device,
-       so it is possible to write completely device-independent code by
-       writing code like this:
-
-           colors = GetColor(/Load)
-           PLOT, data, Color=colors.yellow
-
- MODIFICATION HISTORY:
-       Written by: David Fanning, 10 February 96.
-       Fixed a bug in which N_ELEMENTS was spelled wrong. 7 Dec 96. DWF
-       Added the McIDAS colors to the program. 24 Feb 99. DWF
-       Added the INDEX parameter to the program 8 Mar 99. DWF
-       Added the NAMES keyword at insistence of Martin Schultz. 10 Mar 99. DWF
-       Reorderd the colors so black is first and white is last. 7 June 99. DWF
-       Added automatic recognition of DECOMPOSED=1 state. 7 June 99. DWF
-       Added LOAD AND START keywords. 7 June 99. DWF.</div>
-
-	  
-
-	  
-	    <h3>Parameters</h3>
-	
-	    
-	    <h4 id="_COLOR24_param_number">number&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
-	      
-	      
-	      
-	      
-	      
-	      
-	      
-	      
-	    </h4>
-	
-	  <div class="comments"></div>
-	    
-
-	  
-
-	  
-
-	  
-	  
-	  
-	  
-	  
-	  
-	  
-	  
-	  
-	  
-	  
-	  
-	
-	  
-	  
-	  
-	  
-	  
-	  
-	  
-	
-	  
-	
-	</div>
-	
-
-	<div class="routine_details" id="_GETCOLOR">
-
-	  <h2><a class="top" href="#container">top</a>GETCOLOR </h2>
-	
-	  <p class="header">
-	    <span class="result">result = </span>GETCOLOR(<span class="result"><a href="#_GETCOLOR_param_thisColor">thisColor</a>, <a href="#_GETCOLOR_param_index">index</a></span>, <a href="#_GETCOLOR_keyword_TRUE">TRUE</a>=<span class="result">TRUE</span>, <a href="#_GETCOLOR_keyword_NAMES">NAMES</a>=<span class="result">NAMES</span>, <a href="#_GETCOLOR_keyword_LOAD">LOAD</a>=<span class="result">LOAD</span>, <a href="#_GETCOLOR_keyword_START">START</a>=<span class="result">START</span>)</p>
-	
-	  <div class="comments"></div>
-
-	  
-
-	  
-	    <h3>Parameters</h3>
-	
-	    
-	    <h4 id="_GETCOLOR_param_thisColor">thisColor&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
-	      
-	      
-	      
-	      
-	      
-	      
-	      
-	      
-	    </h4>
-	
-	  <div class="comments"></div>
-	    
-	    <h4 id="_GETCOLOR_param_index">index&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
-	      
-	      
-	      
-	      
-	      
-	      
-	      
-	      
-	    </h4>
-	
-	  <div class="comments"></div>
-	    
-
-	  
-
-	  
-
-	    <h3>Keywords</h3>
-	    
-	    <h4 id="_GETCOLOR_keyword_TRUE">TRUE&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
-	      
-	      
-	      
-  	      
-	      
-	      
-	      
-	      
-	    </h4>
-	
-	    <div class="comments"></div>
-	    
-	    <h4 id="_GETCOLOR_keyword_NAMES">NAMES&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
-	      
-	      
-	      
-  	      
-	      
-	      
-	      
-	      
-	    </h4>
-	
-	    <div class="comments"></div>
-	    
-	    <h4 id="_GETCOLOR_keyword_LOAD">LOAD&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
-	      
-	      
-	      
-  	      
-	      
-	      
-	      
-	      
-	    </h4>
-	
-	    <div class="comments"></div>
-	    
-	    <h4 id="_GETCOLOR_keyword_START">START&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
-	      
-	      
-	      
-  	      
-	      
-	      
-	      
-	      
-	    </h4>
-	
-	    <div class="comments"></div>
-	    
-	  
-
-	  
-	  
-	  
-	  
-	  
-	  
-	  
-	  
-	  
-	  
-	  
-	  
-	
-	  
-	  
-	  
-	  
-	  
-	  
-	  
-	
-	  
-	
-	</div>
-	
-      </div>
-
-      
-
-      <div id="tagline">Produced by IDLdoc 2.0.</div>
-
-    </div>
-
-  </body>
-</html>