Index: unk/SRC/Documentation/xmldoc/main.html
===================================================================
--- /trunk/SRC/Documentation/xmldoc/main.html	(revision 169)
+++ 	(revision )
@@ -1,233 +1,0 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html>
-<head>
-<meta name="generator" content=
-"HTML Tidy for Mac OS X (vers 1 September 2005), see www.w3.org">
-<meta http-equiv="Content-Type" content=
-"text/html; charset=us-ascii">
-<title>Main page of SAXO</title>
-<link rel="stylesheet" href="style.css" type="text/css">
-<link rel="stylesheet" href="saxo.css" type="text/css">
-<meta name="generator" content="DocBook XSL Stylesheets V1.70.1">
-<meta name="keywords" content="idl, SAXO">
-</head>
-<body bgcolor="white" text="black" link="#0000FF" vlink="#840084"
-alink="#0000FF">
-<div class="article" lang="en">
-<div class="titlepage">
-<div>
-<div>
-<h2 class="title"><a name="d0e1" id="d0e1"></a>Main page of
-SAXO</h2>
-</div>
-<div>
-<div class="authorgroup">
-<div class="author">
-<h3 class="author"><span class="firstname">S&eacute;bastien</span>
-<span class="surname">Masson</span> <code class=
-"email">&lt;<a href="mailto:Sebastien.Masson_at_locean-ipsl.upmc.fr">Sebastien.Masson_at_locean-ipsl.upmc.fr</a>&gt;</code></h3>
-</div>
-<div class="author">
-<h3 class="author"><span class="firstname">Fran&ccedil;oise</span>
-<span class="surname">Pinsard</span> <code class=
-"email">&lt;<a href=
-"mailto:Francoise.Pinsard_at_locean-ipsl.upmc.fr">Francoise.Pinsard_at_locean-ipsl.upmc.fr</a>&gt;</code></h3>
-</div>
-</div>
-</div>
-<div><span class="pubdate">svn Id of xml source file : $Id:
-main.xml 161 2006-08-29 09:07:50Z pinsard $<br>
-<br></span></div>
-<div>
-<div class="revhistory">
-<table border="1" width="100%" summary="Revision history">
-<tr>
-<th align="left" valign="top" colspan="2"><b>Revision
-History</b></th>
-</tr>
-<tr>
-<td align="left">Revision 0.0</td>
-<td align="left">June 2006</td>
-</tr>
-<tr>
-<td align="left" colspan="2">First draft</td>
-</tr>
-</table>
-</div>
-</div>
-</div>
-<hr></div>
-<div class="toc">
-<p><b>Table of Contents</b></p>
-<dl>
-<dt><span class="sect1"><a href="#whatissaxo">1. What is
-SAXO</a></span></dt>
-<dt><span class="sect1"><a href="#whatsnew">2. What's
-new</a></span></dt>
-<dt><span class="sect1"><a href="#getsaxo">3. Get
-SAXO</a></span></dt>
-<dt><span class="sect1"><a href="#support">4.
-Support</a></span></dt>
-<dt><span class="sect1"><a href="#documentation">5.
-Documentation</a></span></dt>
-<dt><span class="sect1"><a href="#saxoteam">6. SAXO
-team</a></span></dt>
-</dl>
-</div>
-<div class="sect1" lang="en">
-<div class="titlepage">
-<div>
-<div>
-<h2 class="title" style="clear: both"><a name="whatissaxo" id=
-"whatissaxo"></a>1.&nbsp;What is SAXO</h2>
-</div>
-</div>
-</div>
-<p><a name="whatissaxo_for_main" id="whatissaxo_for_main"></a> SAXO
-is a package (~400 routines, ~60 000 code lines) used to easily and
-quickly visualize and analyze models outputs or data observations.
-It is based on <a href="http://www.ittvis.com/idl/" target=
-"_top"><span class="trademark">IDL</span>&trade;</a> and contains a
-Graphic User Interface. Developed in collaboration with <a href=
-"http://www.lodyc.jussieu.fr/" target="_top">LOCEAN</a>
-researchers, it allows to explore four dimension data which may be
-gridded or irregularly spaced. It is particularly adapted to the
-"Arakawa C grid" discretization used in <a href=
-"http://www.lodyc.jussieu.fr/NEMO/" target="_top">NEMO</a>. In
-addition to graphical procedures, interpolation modules and other
-things..., it contains a set of programs dedicated to oceanographic
-diagnostics.</p>
-<p><a href="whatissaxo.html?format=raw" target=
-"_top">More...</a></p>
-</div>
-<div class="sect1" lang="en">
-<div class="titlepage">
-<div>
-<div>
-<h2 class="title" style="clear: both"><a name="whatsnew" id=
-"whatsnew"></a>2.&nbsp;What's new</h2>
-</div>
-</div>
-</div>
-<div class="itemizedlist">
-<ul type="disc">
-<li>
-<p>Summer 2006: <span class="bold"><strong>English
-translation</strong></span> of headers, add <span class=
-"bold"><strong>pltv</strong></span> and <span class=
-"bold"><strong>documentation of xxx</strong></span>.</p>
-</li>
-<li>
-<p>March 2006-May 2006 : migration for <span class=
-"bold"><strong>obsolete</strong></span> CVS repository +
-S&eacute;bastien Masson improvements in a beautiful
-&ldquo;<span class="quote"><span class=
-"application">trac</span>+<span class=
-"application">svn</span></span>&rdquo; project on <code class=
-"systemitem">http:://forge.ipsl.jussieu.fr/saxo/</code>.</p>
-</li>
-<li>
-<p>More details in <a href="whatsnew.html?format=raw" target=
-"_top">What's new in SAXO</a></p>
-</li>
-</ul>
-</div>
-</div>
-<div class="sect1" lang="en">
-<div class="titlepage">
-<div>
-<div>
-<h2 class="title" style="clear: both"><a name="getsaxo" id=
-"getsaxo"></a>3.&nbsp; Get SAXO</h2>
-</div>
-</div>
-</div>
-<div class="itemizedlist">
-<ul type="disc">
-<li>
-<p><a href="getsaxo.html?format=raw" target="_top">Get</a> SAXO</p>
-</li>
-<li>
-<p><a href="updatesaxo.html?format=raw" target="_top">Update</a>
-SAXO</p>
-</li>
-<li>
-<p><a href="http://forge.ipsl.jussieu.fr/saxo/browser/trunk"
-target="_top">Browse</a> SAXO</p>
-</li>
-</ul>
-</div>
-</div>
-<div class="sect1" lang="en">
-<div class="titlepage">
-<div>
-<div>
-<h2 class="title" style="clear: both"><a name="support" id=
-"support"></a>4.&nbsp;Support</h2>
-</div>
-</div>
-</div>
-<div class="itemizedlist">
-<ul type="disc">
-<li>
-<p><a href="mailing.html?format=raw" target="_top">mailing
-lists</a> (subscription and archives).</p>
-</li>
-<li>
-<p><a href="http://forge.ipsl.jussieu.fr/saxo/newticket" target=
-"_top">send</a>, <a href="http://forge.ipsl.jussieu.fr/saxo/report"
-target="_top">read</a> tickets</p>
-</li>
-<li>
-<p><a href="faqsaxo.html?format=raw" target="_top">FAQ</a></p>
-</li>
-</ul>
-</div>
-</div>
-<div class="sect1" lang="en">
-<div class="titlepage">
-<div>
-<div>
-<h2 class="title" style="clear: both"><a name="documentation" id=
-"documentation"></a>5.&nbsp;Documentation</h2>
-</div>
-</div>
-</div>
-<p><a href="firststeps.html?format=raw" target="_top">First
-Steps</a> with SAXO. See also plots of First Steps in <a href=
-"all_plots.html?format=raw" target="_top">All plots</a></p>
-<p>A short overview and <a href="mini_notice.html?format=raw"
-target="_top">documentation of xxx widget</a> is now available.</p>
-<p>A complete and convenient description of all SAXO routines can
-be found in the <a href=
-"../idldoc_html_output/index.html?format=raw" target="_top">web
-pages created by <span class="application">IDLdoc</span></a>.</p>
-<p>Some useful <a href="tiplink.html?format=raw" target="_top">Tips
-and links</a>.</p>
-</div>
-<div class="sect1" lang="en">
-<div class="titlepage">
-<div>
-<div>
-<h2 class="title" style="clear: both"><a name="saxoteam" id=
-"saxoteam"></a>6.&nbsp;SAXO team</h2>
-</div>
-</div>
-</div>
-<div class="variablelist">
-<dl>
-<dt><span class="term">S&eacute;bastien Masson</span></dt>
-<dd>Author</dd>
-</dl>
-</div>
-<dl>
-<dt><span class="term">Fran&ccedil;oise Pinsard</span></dt>
-<dd>Project owner (trac, mailman and svn)</dd>
-<dt><span class="term">Olivier Thauvin</span></dt>
-<dd><a href="http://forge.ipsl.jussieu.fr/" target="_top">IPSL
-forge</a> maintainer</dd>
-</dl>
-</div>
-</div>
-</body>
-</html>
Index: unk/SRC/Documentation/xmldoc/main.xml
===================================================================
--- /trunk/SRC/Documentation/xmldoc/main.xml	(revision 169)
+++ 	(revision )
@@ -1,169 +1,0 @@
-<?xml version='1.0' encoding='iso-8859-1'?>
-<!DOCTYPE article PUBLIC "-//OASIS//DTD DocBook XML V4.2//EN"
-"http://www.oasis-open.org/docbook/xml/4.2/docbookx.dtd" 
-[]>
-<article>
-<!--
--->
-<!--
- do not forget to modify WikiStart page if you modify this file
--->
-<title>Main page of SAXO</title> 
-  <articleinfo>
-    <authorgroup>
-      <author><firstname>Sébastien</firstname> <surname>Masson</surname> <email>Sebastien.Masson_at_locean-ipsl.upmc.fr</email></author>
-      <author><firstname>Françoise</firstname> <surname>Pinsard</surname> <email>Francoise.Pinsard_at_locean-ipsl.upmc.fr</email></author>
-    </authorgroup>
-    <keywordset>
-      <keyword>idl</keyword>
-      <keyword>SAXO</keyword>
-    </keywordset>
-    <revhistory>
-      <revision>
-        <revnumber>0.0</revnumber>
-        <date>June 2006</date>
-        <revremark>First draft</revremark>
-      </revision>
-    </revhistory>  
-    <pubdate>$Id$</pubdate>
-  </articleinfo>
-
-
-<sect1 id="whatissaxo">
-<title>What is SAXO</title>
-<xi:include href="./whatissaxo.xml"
-                 xpointer="whatissaxo_for_main" 
-                 parse="xml"
-      xmlns:xi="http://www.w3.org/2001/XInclude"/>
-<!-- je n'arrive pas à faire fonctionner la syntaxe xpath suivante comme dans
-http://www.zvon.org/xxl/XIncludeTutorial/Output/example12.html
-
-<xi:include href="./whatissaxo.xml"
-                 xpointer="element(/article/sect[1]/p[1])" 
-                 parse="xml"
-      xmlns:xi="http://www.w3.org/2001/XInclude"/>
--->
-
-<para>
-<ulink url="../../saxo/browser/trunk/SRC/Documentation/xmldoc/whatissaxo.html?format=raw">More...</ulink> 
-</para>
-</sect1>
-
-
-<sect1 id="whatsnew">
-<title>What's new</title>
-<itemizedlist>
-<listitem><para>Summer 2006: <emphasis role="bold">English translation</emphasis> of headers, add <emphasis role="bold">pltv</emphasis> and <emphasis role="bold">documentation of xxx</emphasis>.</para></listitem>
-<listitem> 
-<para>
-March 2006-May 2006 : migration for <emphasis role="bold">obsolete</emphasis> CVS repository + Sébastien Masson improvements
-in a beautiful <quote><application>trac</application>+<application>svn</application></quote> project on <systemitem>http:://forge.ipsl.jussieu.fr/saxo/</systemitem>.
-</para>
-</listitem>
-<listitem>
-<para>
-More details in <ulink url="../../saxo/browser/trunk/SRC/Documentation/xmldoc/whatsnew.html?format=raw">What's new in SAXO</ulink>
-</para>
-</listitem>
-</itemizedlist>
-</sect1>
-
-
-<sect1 id="getsaxo">
-<title>
-Get SAXO
-</title>
-<itemizedlist>
-<listitem><para>
-<ulink url="../../saxo/browser/trunk/SRC/Documentation/xmldoc/getsaxo.html?format=raw">Get</ulink> SAXO
-</para></listitem>
-<listitem><para>
-<ulink url="../../saxo/browser/trunk/SRC/Documentation/xmldoc/updatesaxo.html?format=raw">Update</ulink> SAXO
-</para></listitem>
-<listitem><para>
-<ulink url="../../saxo/browser/trunk">Browse</ulink> SAXO
-</para></listitem>
-</itemizedlist>
-</sect1>
-
-<sect1 id="support">
-<title>Support</title>
-<itemizedlist>
-<listitem>
-<para>
-<ulink url="../../saxo/browser/trunk/SRC/Documentation/xmldoc/mailing.html?format=raw">mailing lists</ulink> (subscription and archives).
-</para>
-</listitem>
-<listitem>
-<para>
-<ulink url="http://forge.ipsl.jussieu.fr/saxo/newticket">send</ulink>,  <ulink url="http://forge.ipsl.jussieu.fr/saxo/report">read</ulink> tickets
-</para>
-</listitem>
-<listitem>
-<para>
-<ulink url="../../saxo/browser/trunk/SRC/Documentation/xmldoc/faqsaxo.html?format=raw">FAQ</ulink>
-</para>
-</listitem>
-</itemizedlist>
-</sect1>
-
-
-<sect1 id="documentation">
-<title>Documentation</title>
-<!--
-++tracwiki Read First Steps with SAXO source:trunk/Documentation/xmldoc/firststeps.html
-++tracwiki Read First Steps with SAXO attachment:trunk/Documentation/xmldoc/firststeps.html
-++ docbook Read First Steps with SAXO source:trunk/Documentation/xmldoc/firststeps.html@latest
-++ docbook Read First Steps with SAXO <ulink url="trunk/Documentation/xmldoc/firststeps.html"/>
- https://forge.ipsl.jussieu.fr/saxo/browser/trunk/Documentation/xmldoc/firststeps.html
-++ changement de base ? <ulink url="../svn/trunk/SRC/Documentation/xmldoc/firststeps.html">First Steps</ulink>
--->
-<para>
-<ulink url="../../saxo/browser/trunk/SRC/Documentation/xmldoc/firststeps.html?format=raw">First Steps</ulink> with SAXO. See also plots of First Steps in <ulink url="../../saxo/browser/trunk/SRC/Documentation/xmldoc/all_plots.html?format=raw">All plots</ulink>
-</para>
-<para>
-A short overview and <ulink url="../../saxo/browser/trunk/SRC/Documentation/xmldoc/mini_notice.html?format=raw">documentation of xxx widget</ulink> is now available.
-</para>
-<para>
-A complete and convenient description of all SAXO routines can be found in the <ulink url="../../saxo/browser/trunk/SRC/Documentation/idldoc_html_output/index.html?format=raw">web pages created by <application>IDLdoc</application></ulink>.
-</para>
-<para>
-Some useful <ulink url="../../saxo/browser/trunk/SRC/Documentation/xmldoc/tiplink.html?format=raw">Tips and links</ulink>.
-</para>
-</sect1>
-<sect1 id="saxoteam">
-<title>SAXO team</title>
-<variablelist>
-<varlistentry>
-<term>
-Sébastien Masson 
-</term>
-<listitem>
-<simpara>
-Author
-</simpara>
-</listitem>
-</varlistentry>
-</variablelist>
-<varlistentry>
-<term>
-Françoise Pinsard
-</term>
-<listitem>
-<simpara>
-Project owner (trac, mailman and svn)
-</simpara>
-</listitem>
-</varlistentry>
-<varlistentry>
-<term>
-Olivier Thauvin
-</term>
-<listitem>
-<simpara>
-<ulink url="http://forge.ipsl.jussieu.fr/">IPSL forge</ulink> maintainer
-</simpara>
-</listitem>
-</varlistentry>
-</sect1>
-</article>
Index: /trunk/SRC/Documentation/xmldoc/makehtml.sh
===================================================================
--- /trunk/SRC/Documentation/xmldoc/makehtml.sh	(revision 169)
+++ /trunk/SRC/Documentation/xmldoc/makehtml.sh	(revision 170)
@@ -8,4 +8,6 @@
 # released on 1 September 2005) doesn't handle carriage returns
 #
+# fplod 2006-09-07T08:10:23Z aedon.locean-ipsl.upmc.fr (Darwin)
+# main is rename to websaxo.html
 # fplod 2006-08-29T14:01:11Z aedon.locean-ipsl.upmc.fr (Darwin)
 # add main which needs xmllint processing to resolve xinclude
@@ -258,5 +260,5 @@
       /bin/rm /tmp/rowscm.xml
    ;;
-   faqsaxo|main)
+   faqsaxo|websaxo)
       # resolve xinclude 
       xmllint --xinclude \
@@ -295,5 +297,5 @@
       mv ${1}_${$}.html ${1}.html
       ;;
-   main)
+   websaxo)
       sed -e s?"../../saxo/browser/trunk/SRC/Documentation/xmldoc/"??g \
 	  -e s?"../../saxo/browser/trunk/SRC/Documentation/idldoc_html_output/"?"../idldoc_html_output/"?g \
Index: /trunk/SRC/Documentation/xmldoc/savesaxo.sh
===================================================================
--- /trunk/SRC/Documentation/xmldoc/savesaxo.sh	(revision 169)
+++ /trunk/SRC/Documentation/xmldoc/savesaxo.sh	(revision 170)
@@ -3,4 +3,6 @@
 # update :
 # $Id$
+# fplod 2006-09-07T08:09:47Z aedon.locean-ipsl.upmc.fr (Darwin)
+# main is rename to websaxo
 # fplod 2006-09-05T15:39:47Z aedon.locean-ipsl.upmc.fr (Darwin)
 # add Source link in idldoc html outpout
@@ -164,5 +166,5 @@
 #
     cd ${memopwd}
-    for docxml in firststeps.xml getsaxo.xml mailing.xml main.xml tiplink.xml updatesaxo.xml whatissaxo.xml whatsnew.xml infoupdatekwd.xml infoupdatecm.xml mini_notice.xml
+    for docxml in firststeps.xml getsaxo.xml mailing.xml websaxo.xml tiplink.xml updatesaxo.xml whatissaxo.xml whatsnew.xml infoupdatekwd.xml infoupdatecm.xml mini_notice.xml
     do
       ./makehtml.sh $(basename ${docxml} .xml)
Index: /trunk/SRC/Documentation/xmldoc/websaxo.html
===================================================================
--- /trunk/SRC/Documentation/xmldoc/websaxo.html	(revision 170)
+++ /trunk/SRC/Documentation/xmldoc/websaxo.html	(revision 170)
@@ -0,0 +1,240 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
+<html>
+<head>
+<meta name="generator" content=
+"HTML Tidy for Mac OS X (vers 1 September 2005), see www.w3.org">
+<meta http-equiv="Content-Type" content=
+"text/html; charset=us-ascii">
+<title>Main page of SAXO</title>
+<link rel="stylesheet" href="style.css" type="text/css">
+<link rel="stylesheet" href="saxo.css" type="text/css">
+<meta name="generator" content="DocBook XSL Stylesheets V1.70.1">
+<meta name="keywords" content="idl, SAXO">
+</head>
+<body bgcolor="white" text="black" link="#0000FF" vlink="#840084"
+alink="#0000FF">
+<div class="article" lang="en">
+<div class="titlepage">
+<div>
+<div>
+<h2 class="title"><a name="d0e1" id="d0e1"></a>Main page of
+SAXO</h2>
+</div>
+<div>
+<div class="authorgroup">
+<div class="author">
+<h3 class="author"><span class="firstname">S&eacute;bastien</span>
+<span class="surname">Masson</span> <code class=
+"email">&lt;<a href="mailto:Sebastien.Masson_at_locean-ipsl.upmc.fr">Sebastien.Masson_at_locean-ipsl.upmc.fr</a>&gt;</code></h3>
+</div>
+<div class="author">
+<h3 class="author"><span class="firstname">Fran&ccedil;oise</span>
+<span class="surname">Pinsard</span> <code class=
+"email">&lt;<a href=
+"mailto:Francoise.Pinsard_at_locean-ipsl.upmc.fr">Francoise.Pinsard_at_locean-ipsl.upmc.fr</a>&gt;</code></h3>
+</div>
+</div>
+</div>
+<div><span class="pubdate">svn Id of xml source file : $Id:
+main.xml 164 2006-08-29 14:22:10Z pinsard $<br>
+<br></span></div>
+<div>
+<div class="revhistory">
+<table border="1" width="100%" summary="Revision history">
+<tr>
+<th align="left" valign="top" colspan="2"><b>Revision
+History</b></th>
+</tr>
+<tr>
+<td align="left">Revision 0.0</td>
+<td align="left">June 2006</td>
+</tr>
+<tr>
+<td align="left" colspan="2">First draft</td>
+</tr>
+<tr>
+<td align="left">Revision 0.1</td>
+<td align="left">September 2006</td>
+</tr>
+<tr>
+<td align="left" colspan="2">rename to websaxo; use whatissaxo</td>
+</tr>
+</table>
+</div>
+</div>
+</div>
+<hr></div>
+<div class="toc">
+<p><b>Table of Contents</b></p>
+<dl>
+<dt><span class="sect1"><a href="#whatissaxo">1. What is
+SAXO</a></span></dt>
+<dt><span class="sect1"><a href="#whatsnew">2. What's
+new</a></span></dt>
+<dt><span class="sect1"><a href="#getsaxo">3. Get
+SAXO</a></span></dt>
+<dt><span class="sect1"><a href="#support">4.
+Support</a></span></dt>
+<dt><span class="sect1"><a href="#documentation">5.
+Documentation</a></span></dt>
+<dt><span class="sect1"><a href="#saxoteam">6. SAXO
+team</a></span></dt>
+</dl>
+</div>
+<div class="sect1" lang="en">
+<div class="titlepage">
+<div>
+<div>
+<h2 class="title" style="clear: both"><a name="whatissaxo" id=
+"whatissaxo"></a>1.&nbsp;What is SAXO</h2>
+</div>
+</div>
+</div>
+<p><a name="whatissaxo_for_main" id="whatissaxo_for_main"></a> SAXO
+is a package (~400 routines, ~60 000 code lines) used to easily and
+quickly visualize and analyze models outputs or data observations.
+It is based on <a href="http://www.ittvis.com/idl/" target=
+"_top"><span class="trademark">IDL</span>&trade;</a> and contains a
+Graphic User Interface. Developed in collaboration with <a href=
+"http://www.lodyc.jussieu.fr/" target="_top">LOCEAN</a>
+researchers, it allows to explore four dimension data which may be
+gridded or irregularly spaced. It is particularly adapted to the
+"Arakawa C grid" discretization used in <a href=
+"http://www.lodyc.jussieu.fr/NEMO/" target="_top">NEMO</a>. In
+addition to graphical procedures, interpolation modules and other
+things..., it contains a set of programs dedicated to oceanographic
+diagnostics.</p>
+<p><a href="whatissaxo.html?format=raw" target=
+"_top">More...</a></p>
+</div>
+<div class="sect1" lang="en">
+<div class="titlepage">
+<div>
+<div>
+<h2 class="title" style="clear: both"><a name="whatsnew" id=
+"whatsnew"></a>2.&nbsp;What's new</h2>
+</div>
+</div>
+</div>
+<div class="itemizedlist">
+<ul type="disc">
+<li>
+<p>Summer 2006: <span class="bold"><strong>English
+translation</strong></span> of headers, add <span class=
+"bold"><strong>pltv</strong></span> and <span class=
+"bold"><strong>documentation of xxx</strong></span>.</p>
+</li>
+<li>
+<p>March 2006-May 2006 : migration for <span class=
+"bold"><strong>obsolete</strong></span> CVS repository +
+S&eacute;bastien Masson improvements in a beautiful
+&ldquo;<span class="quote"><span class=
+"application">trac</span>+<span class=
+"application">svn</span></span>&rdquo; project on <code class=
+"systemitem">http:://forge.ipsl.jussieu.fr/saxo/</code>.</p>
+</li>
+<li>
+<p>More details in <a href="whatsnew.html?format=raw" target=
+"_top">What's new in SAXO</a></p>
+</li>
+</ul>
+</div>
+</div>
+<div class="sect1" lang="en">
+<div class="titlepage">
+<div>
+<div>
+<h2 class="title" style="clear: both"><a name="getsaxo" id=
+"getsaxo"></a>3.&nbsp; Get SAXO</h2>
+</div>
+</div>
+</div>
+<div class="itemizedlist">
+<ul type="disc">
+<li>
+<p><a href="getsaxo.html?format=raw" target="_top">Get</a> SAXO</p>
+</li>
+<li>
+<p><a href="updatesaxo.html?format=raw" target="_top">Update</a>
+SAXO</p>
+</li>
+<li>
+<p><a href="http://forge.ipsl.jussieu.fr/saxo/browser/trunk"
+target="_top">Browse</a> SAXO</p>
+</li>
+</ul>
+</div>
+</div>
+<div class="sect1" lang="en">
+<div class="titlepage">
+<div>
+<div>
+<h2 class="title" style="clear: both"><a name="support" id=
+"support"></a>4.&nbsp;Support</h2>
+</div>
+</div>
+</div>
+<div class="itemizedlist">
+<ul type="disc">
+<li>
+<p><a href="mailing.html?format=raw" target="_top">mailing
+lists</a> (subscription and archives).</p>
+</li>
+<li>
+<p><a href="http://forge.ipsl.jussieu.fr/saxo/newticket" target=
+"_top">send</a>, <a href="http://forge.ipsl.jussieu.fr/saxo/report"
+target="_top">read</a> tickets</p>
+</li>
+<li>
+<p><a href="faqsaxo.html?format=raw" target="_top">FAQ</a></p>
+</li>
+</ul>
+</div>
+</div>
+<div class="sect1" lang="en">
+<div class="titlepage">
+<div>
+<div>
+<h2 class="title" style="clear: both"><a name="documentation" id=
+"documentation"></a>5.&nbsp;Documentation</h2>
+</div>
+</div>
+</div>
+<p><a href="firststeps.html?format=raw" target="_top">First
+Steps</a> with SAXO. See also plots of First Steps in <a href=
+"all_plots.html?format=raw" target="_top">All plots</a></p>
+<p>A short overview and <a href="mini_notice.html?format=raw"
+target="_top">documentation of xxx widget</a> is now available.</p>
+<p>A complete and convenient description of all SAXO routines can
+be found in the <a href=
+"../idldoc_html_output/index.html?format=raw" target="_top">web
+pages created by <span class="application">IDLdoc</span></a>.</p>
+<p>Some useful <a href="tiplink.html?format=raw" target="_top">Tips
+and links</a>.</p>
+</div>
+<div class="sect1" lang="en">
+<div class="titlepage">
+<div>
+<div>
+<h2 class="title" style="clear: both"><a name="saxoteam" id=
+"saxoteam"></a>6.&nbsp;SAXO team</h2>
+</div>
+</div>
+</div>
+<div class="variablelist">
+<dl>
+<dt><span class="term">S&eacute;bastien Masson</span></dt>
+<dd>Author</dd>
+</dl>
+</div>
+<dl>
+<dt><span class="term">Fran&ccedil;oise Pinsard</span></dt>
+<dd>Project owner (trac, mailman and svn)</dd>
+<dt><span class="term">Olivier Thauvin</span></dt>
+<dd><a href="http://forge.ipsl.jussieu.fr/" target="_top">IPSL
+forge</a> maintainer</dd>
+</dl>
+</div>
+</div>
+</body>
+</html>
Index: /trunk/SRC/Documentation/xmldoc/websaxo.xml
===================================================================
--- /trunk/SRC/Documentation/xmldoc/websaxo.xml	(revision 170)
+++ /trunk/SRC/Documentation/xmldoc/websaxo.xml	(revision 170)
@@ -0,0 +1,174 @@
+<?xml version='1.0' encoding='iso-8859-1'?>
+<!DOCTYPE article PUBLIC "-//OASIS//DTD DocBook XML V4.2//EN"
+"http://www.oasis-open.org/docbook/xml/4.2/docbookx.dtd" 
+[]>
+<article>
+<!--
+-->
+<!--
+ do not forget to modify WikiStart page if you modify this file
+-->
+<title>Main page of SAXO</title> 
+  <articleinfo>
+    <authorgroup>
+      <author><firstname>Sébastien</firstname> <surname>Masson</surname> <email>Sebastien.Masson_at_locean-ipsl.upmc.fr</email></author>
+      <author><firstname>Françoise</firstname> <surname>Pinsard</surname> <email>Francoise.Pinsard_at_locean-ipsl.upmc.fr</email></author>
+    </authorgroup>
+    <keywordset>
+      <keyword>idl</keyword>
+      <keyword>SAXO</keyword>
+    </keywordset>
+    <revhistory>
+      <revision>
+        <revnumber>0.0</revnumber>
+        <date>June 2006</date>
+        <revremark>First draft</revremark>
+      </revision>
+      <revision>
+        <revnumber>0.1</revnumber>
+        <date>September 2006</date>
+        <revremark>rename to websaxo; use whatissaxo</revremark>
+      </revision>
+    </revhistory>  
+    <pubdate>$Id$</pubdate>
+  </articleinfo>
+
+
+<sect1 id="whatissaxo">
+<title>What is SAXO</title>
+<xi:include href="./whatissaxo.xml"
+                 xpointer="whatissaxo_for_main" 
+                 parse="xml"
+      xmlns:xi="http://www.w3.org/2001/XInclude"/>
+<!-- je n'arrive pas à faire fonctionner la syntaxe xpath suivante comme dans
+http://www.zvon.org/xxl/XIncludeTutorial/Output/example12.html
+
+<xi:include href="./whatissaxo.xml"
+                 xpointer="element(/article/sect[1]/p[1])" 
+                 parse="xml"
+      xmlns:xi="http://www.w3.org/2001/XInclude"/>
+-->
+
+<para>
+<ulink url="../../saxo/browser/trunk/SRC/Documentation/xmldoc/whatissaxo.html?format=raw">More...</ulink> 
+</para>
+</sect1>
+
+
+<sect1 id="whatsnew">
+<title>What's new</title>
+<itemizedlist>
+<listitem><para>Summer 2006: <emphasis role="bold">English translation</emphasis> of headers, add <emphasis role="bold">pltv</emphasis> and <emphasis role="bold">documentation of xxx</emphasis>.</para></listitem>
+<listitem> 
+<para>
+March 2006-May 2006 : migration for <emphasis role="bold">obsolete</emphasis> CVS repository + Sébastien Masson improvements
+in a beautiful <quote><application>trac</application>+<application>svn</application></quote> project on <systemitem>http:://forge.ipsl.jussieu.fr/saxo/</systemitem>.
+</para>
+</listitem>
+<listitem>
+<para>
+More details in <ulink url="../../saxo/browser/trunk/SRC/Documentation/xmldoc/whatsnew.html?format=raw">What's new in SAXO</ulink>
+</para>
+</listitem>
+</itemizedlist>
+</sect1>
+
+
+<sect1 id="getsaxo">
+<title>
+Get SAXO
+</title>
+<itemizedlist>
+<listitem><para>
+<ulink url="../../saxo/browser/trunk/SRC/Documentation/xmldoc/getsaxo.html?format=raw">Get</ulink> SAXO
+</para></listitem>
+<listitem><para>
+<ulink url="../../saxo/browser/trunk/SRC/Documentation/xmldoc/updatesaxo.html?format=raw">Update</ulink> SAXO
+</para></listitem>
+<listitem><para>
+<ulink url="../../saxo/browser/trunk">Browse</ulink> SAXO
+</para></listitem>
+</itemizedlist>
+</sect1>
+
+<sect1 id="support">
+<title>Support</title>
+<itemizedlist>
+<listitem>
+<para>
+<ulink url="../../saxo/browser/trunk/SRC/Documentation/xmldoc/mailing.html?format=raw">mailing lists</ulink> (subscription and archives).
+</para>
+</listitem>
+<listitem>
+<para>
+<ulink url="http://forge.ipsl.jussieu.fr/saxo/newticket">send</ulink>,  <ulink url="http://forge.ipsl.jussieu.fr/saxo/report">read</ulink> tickets
+</para>
+</listitem>
+<listitem>
+<para>
+<ulink url="../../saxo/browser/trunk/SRC/Documentation/xmldoc/faqsaxo.html?format=raw">FAQ</ulink>
+</para>
+</listitem>
+</itemizedlist>
+</sect1>
+
+
+<sect1 id="documentation">
+<title>Documentation</title>
+<!--
+++tracwiki Read First Steps with SAXO source:trunk/Documentation/xmldoc/firststeps.html
+++tracwiki Read First Steps with SAXO attachment:trunk/Documentation/xmldoc/firststeps.html
+++ docbook Read First Steps with SAXO source:trunk/Documentation/xmldoc/firststeps.html@latest
+++ docbook Read First Steps with SAXO <ulink url="trunk/Documentation/xmldoc/firststeps.html"/>
+ https://forge.ipsl.jussieu.fr/saxo/browser/trunk/Documentation/xmldoc/firststeps.html
+++ changement de base ? <ulink url="../svn/trunk/SRC/Documentation/xmldoc/firststeps.html">First Steps</ulink>
+-->
+<para>
+<ulink url="../../saxo/browser/trunk/SRC/Documentation/xmldoc/firststeps.html?format=raw">First Steps</ulink> with SAXO. See also plots of First Steps in <ulink url="../../saxo/browser/trunk/SRC/Documentation/xmldoc/all_plots.html?format=raw">All plots</ulink>
+</para>
+<para>
+A short overview and <ulink url="../../saxo/browser/trunk/SRC/Documentation/xmldoc/mini_notice.html?format=raw">documentation of xxx widget</ulink> is now available.
+</para>
+<para>
+A complete and convenient description of all SAXO routines can be found in the <ulink url="../../saxo/browser/trunk/SRC/Documentation/idldoc_html_output/index.html?format=raw">web pages created by <application>IDLdoc</application></ulink>.
+</para>
+<para>
+Some useful <ulink url="../../saxo/browser/trunk/SRC/Documentation/xmldoc/tiplink.html?format=raw">Tips and links</ulink>.
+</para>
+</sect1>
+<sect1 id="saxoteam">
+<title>SAXO team</title>
+<variablelist>
+<varlistentry>
+<term>
+Sébastien Masson 
+</term>
+<listitem>
+<simpara>
+Author
+</simpara>
+</listitem>
+</varlistentry>
+</variablelist>
+<varlistentry>
+<term>
+Françoise Pinsard
+</term>
+<listitem>
+<simpara>
+Project owner (trac, mailman and svn)
+</simpara>
+</listitem>
+</varlistentry>
+<varlistentry>
+<term>
+Olivier Thauvin
+</term>
+<listitem>
+<simpara>
+<ulink url="http://forge.ipsl.jussieu.fr/">IPSL forge</ulink> maintainer
+</simpara>
+</listitem>
+</varlistentry>
+</sect1>
+</article>
Index: /trunk/SRC/websaxo.html
===================================================================
--- /trunk/SRC/websaxo.html	(revision 170)
+++ /trunk/SRC/websaxo.html	(revision 170)
@@ -0,0 +1,1 @@
+link Documentation/xmldoc/websaxo.html
Index: unk/main.html
===================================================================
--- /trunk/main.html	(revision 169)
+++ 	(revision )
@@ -1,1 +1,0 @@
-link ./SRC/Documentation/xmldoc/main.html