Index: /trunk/SRC/Documentation/xmldoc/websaxo.html
===================================================================
--- /trunk/SRC/Documentation/xmldoc/websaxo.html	(revision 180)
+++ /trunk/SRC/Documentation/xmldoc/websaxo.html	(revision 181)
@@ -37,5 +37,5 @@
 </div>
 <div><span class="pubdate">svn Id of xml source file : $Id:
-websaxo.xml 176 2006-09-13 14:17:41Z smasson $<br>
+websaxo.xml 180 2006-09-14 15:32:21Z smasson $<br>
 <br></span></div>
 <div>
@@ -86,5 +86,5 @@
 <p>This page is a miror of <a href=
 "http://forge.ipsl.jussieu.fr/saxo" target="_top">SAXO web page</a>
-and allows you to browse IDL help pages in local.</p>
+and allows you to browse SAXO help pages in local.</p>
 </div>
 <div class="sect1" lang="en">
@@ -189,5 +189,5 @@
 <ul type="disc">
 <li>
-<p>You like SAXO? please subscribe to SAXO <a href=
+<p>You like SAXO? Please subscribe to SAXO <a href=
 "mailing.html?format=raw" target="_top">mailing lists</a>
 (subscription and archives).</p>
@@ -195,5 +195,5 @@
 <li>
 <p><a href="http://forge.ipsl.jussieu.fr/saxo/report" target=
-"_top">read</a> tickets. Because of abusive use of our tickets,
+"_top">Read</a> tickets. Because of abusive use of our tickets,
 <a href="http://forge.ipsl.jussieu.fr/saxo/newticket" target=
 "_top">sending tickets</a> is now limited to a registred login
Index: /trunk/SRC/Documentation/xmldoc/websaxo.xml
===================================================================
--- /trunk/SRC/Documentation/xmldoc/websaxo.xml	(revision 180)
+++ /trunk/SRC/Documentation/xmldoc/websaxo.xml	(revision 181)
@@ -35,5 +35,5 @@
 
   <note><para>
-This page is a miror of <ulink url="http://forge.ipsl.jussieu.fr/saxo">SAXO web page</ulink> and allows you to browse IDL help pages in local.
+This page is a miror of <ulink url="http://forge.ipsl.jussieu.fr/saxo">SAXO web page</ulink> and allows you to browse SAXO help pages in local.
   </para></note>
 
@@ -101,10 +101,10 @@
 <listitem>
 <para>
-You like SAXO? please subscribe to SAXO <ulink url="../../saxo/browser/trunk/SRC/Documentation/xmldoc/mailing.html?format=raw">mailing lists</ulink> (subscription and archives).
+You like SAXO? Please subscribe to SAXO <ulink url="../../saxo/browser/trunk/SRC/Documentation/xmldoc/mailing.html?format=raw">mailing lists</ulink> (subscription and archives).
 </para>
 </listitem>
 <listitem>
 <para>
-<ulink url="http://forge.ipsl.jussieu.fr/saxo/report">read</ulink> tickets. Because of abusive use of our tickets, <ulink url="http://forge.ipsl.jussieu.fr/saxo/newticket">sending tickets</ulink> is now limited to a registred login accessible if you subscribe to <ulink url="../../saxo/browser/trunk/SRC/Documentation/xmldoc/mailing.html?format=raw">SAXO mailing lists</ulink>.
+<ulink url="http://forge.ipsl.jussieu.fr/saxo/report">Read</ulink> tickets. Because of abusive use of our tickets, <ulink url="http://forge.ipsl.jussieu.fr/saxo/newticket">sending tickets</ulink> is now limited to a registred login accessible if you subscribe to <ulink url="../../saxo/browser/trunk/SRC/Documentation/xmldoc/mailing.html?format=raw">SAXO mailing lists</ulink>.
 </para>
 </listitem>
Index: /trunk/SRC/ToBeReviewed/LECTURE/read_ncdf.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/LECTURE/read_ncdf.pro	(revision 180)
+++ /trunk/SRC/ToBeReviewed/LECTURE/read_ncdf.pro	(revision 181)
@@ -561,6 +561,6 @@
       ncdf_attget, cdfid, 'hc', hc, /global
 ; look for all variables names
-      allvarnames = strarr(varcontient.nvars)
-      FOR i = 0, varcontient.nvars-1 DO BEGIN
+      allvarnames = strarr(contient.nvars)
+      FOR i = 0, contient.nvars-1 DO BEGIN
         tmp = ncdf_varinq( cdfid, i)
         allvarnames[i] = tmp.name
@@ -568,5 +568,5 @@
       CASE 1 OF
         keyword_set(hfilename):  $
-           hroms = read_ncdf('h', 0, 0, FILENAME = hfile $
+           hroms = read_ncdf('h', 0, 0, FILENAME = hfilename $
                              , /TIMESTEP, /NOSTRUCT, CONT_NOFILL = CONT_NOFILL $
                              , GRID = vargrid, /CALLITSELF, _EXTRA = ex)
@@ -583,5 +583,5 @@
                             , /TIMESTEP, /NOSTRUCT, CONT_NOFILL = CONT_NOFILL $
                             , GRID = vargrid, /CALLITSELF, _EXTRA = ex)
-        (where(allvarnames EQ 'h'))[0] NE -1: $
+        (where(allvarnames EQ 'zeta'))[0] NE -1: $
            zeta = read_ncdf('zeta', firsttps, lasttps, FILENAME = filename $
                             , /TIMESTEP, /NOSTRUCT, CONT_NOFILL = CONT_NOFILL $
Index: /trunk/SRC/ToBeReviewed/PLOTS/DESSINE/pltv.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/PLOTS/DESSINE/pltv.pro	(revision 180)
+++ /trunk/SRC/ToBeReviewed/PLOTS/DESSINE/pltv.pro	(revision 181)
@@ -127,4 +127,5 @@
 ;------------------------------------------------------------
   determineminmax, z2d, msk, truemin, truemax, MININ = min, MAXIN = max, NAN = nan
+  z2d = min > temporary(z2d) < max
 ;------------------------------------------------------------
 ; apply other keywords (nointerp, c_nan, c_mask) 
@@ -132,6 +133,6 @@
   IF NOT keyword_set(nointerp) THEN BEGIN
 ; interpolation between bottom and bottom+ncolors-1
-    m = 1.*(ncolors-1)/(truemax-truemin)
-    p = bottom - 1.*truemin*m
+    m = 1.*(ncolors-1)/(max-min)
+    p = bottom - 1.*min*m
     z2d = m * temporary(z2d) + p
   ENDIF
Index: /trunk/SRC/ToBeReviewed/WIDGET/AUTOUR_de_XXX/loadgrid.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/WIDGET/AUTOUR_de_XXX/loadgrid.pro	(revision 180)
+++ /trunk/SRC/ToBeReviewed/WIDGET/AUTOUR_de_XXX/loadgrid.pro	(revision 181)
@@ -64,8 +64,14 @@
 ; add the arguments and keywords if necessary
   IF n_elements(meshfile) GT 1 AND strmid(listing, 0, 1) NE '@' THEN BEGIN 
-    FOR i = 1+(filepro NE 'NOT FOUND'), n_elements(meshfile)-1 DO listing = listing + ', ' + meshfile[i]
+    FOR i = 1, n_elements(meshfile)-1 DO BEGIN
+      IF strpos(meshfile[i], '.') NE -1 THEN str = isnumber(meshfile[i]) ELSE str = createfunc('n_elements('+meshfile[i]+')')
+      IF str EQ 0 THEN listing = listing + ', ''' + meshfile[i] + '''' ELSE listing = listing + ', ' + meshfile[i]
+    ENDFOR
   ENDIF
 
   IF strmid(listing, 0, 1) NE '@' THEN listing = listing + ', strcalling = ''' + meshfilein + ''', _extra = ex'
+
+print, listing
+
 
   createpro, listing, filename = myuniquetmpdir +'for_createpro.pro', _extra = ex
Index: /trunk/SRC/ToBeReviewed/WIDGET/AUTOUR_de_XXX/scanfile.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/WIDGET/AUTOUR_de_XXX/scanfile.pro	(revision 180)
+++ /trunk/SRC/ToBeReviewed/WIDGET/AUTOUR_de_XXX/scanfile.pro	(revision 181)
@@ -231,10 +231,10 @@
         dummy = report('the file '+fullname+' has no time axis.!C we create a fake calendar ...')
         fakecal = 1
-        time = date0fk + lindgen(jpt)
+        time = date0fk + lindgen(1>jpt)
       END
       invar.natts EQ 0:BEGIN 
         dummy = report('the variable '+invar.name+' has no attribut.!C we create a fake calendar ...')
         fakecal = 1
-        time = date0fk + lindgen(jpt)
+        time = date0fk + lindgen(1>jpt)
       END
       ELSE:BEGIN
@@ -247,5 +247,5 @@
           dummy = report('Attribut ''units'' not found for the variable '+invar.name+'!C we create a fake calendar ...')
           fakecal = 1
-          time = date0fk + lindgen(jpt)
+          time = date0fk + lindgen(1>jpt)
         ENDIF ELSE BEGIN 
 ; we read the time axis
@@ -271,5 +271,5 @@
             dummy = report('attribut units of time has not the good format: [^ ]* since ([0-9]){4}-([0-9]){2}-([0-9]){2}.*')
             fakecal = 1
-            time = date0fk + lindgen(jpt)
+            time = date0fk + lindgen(1>jpt)
           ENDIF ELSE BEGIN 
             debut = str_sep(mots[2], '-')
@@ -325,5 +325,5 @@
             IF max(histogram([long(time-time[0])])) GT 1 THEN fakecal = 1 ELSE fakecal = 0
             date0fk = date2jul(19000101)
-            IF keyword_set(fakecal) THEN time = date0fk+lindgen(jpt) $
+            IF keyword_set(fakecal) THEN time = date0fk+lindgen(1>jpt) $
             ELSE time = long(time)
 ;
Index: /trunk/SRC/ToBeReviewed/WIDGET/AUTOUR_de_XXX/selectfile.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/WIDGET/AUTOUR_de_XXX/selectfile.pro	(revision 180)
+++ /trunk/SRC/ToBeReviewed/WIDGET/AUTOUR_de_XXX/selectfile.pro	(revision 181)
@@ -258,5 +258,5 @@
   based = widget_base(base, /row, /align_center, uname = 'arg base', sensitive = 0)
   dummyid = widget_label(based, value = 'procedure arguments')
-  agrbase = widget_text(based, value = '', uvalue = {name:'argtxt'} $
+  argbase = widget_text(based, value = '', uvalue = {name:'argtxt'} $
                         , uname = 'argtxt', xsize = 45, /EDITABLE)
 ; keyword informations