Index: trunk/SRC/Documentation/xmldoc/getsaxo.html
===================================================================
--- trunk/SRC/Documentation/xmldoc/getsaxo.html	(revision 182)
+++ trunk/SRC/Documentation/xmldoc/getsaxo.html	(revision 184)
@@ -10,5 +10,5 @@
 <link rel="stylesheet" href="saxo.css" type="text/css">
 <meta name="generator" content="DocBook XSL Stylesheets V1.70.1">
-<meta name="keywords" content="idl, SAXO">
+<meta name="keywords" content="IDL, SAXO">
 </head>
 <body bgcolor="white" text="black" link="#0000FF" vlink="#840084"
@@ -37,5 +37,5 @@
 </div>
 <div><span class="pubdate">svn Id of xml source file : $Id:
-getsaxo.xml 144 2006-07-21 14:32:11Z pinsard $<br>
+getsaxo.xml 183 2006-09-18 13:49:14Z pinsard $<br>
 <br></span></div>
 <div>
@@ -219,5 +219,5 @@
 </div>
 <p>The <span class="bold"><strong>complete</strong></span> latest
-revision (source + tests data files: 779 Mb) can be checked out
+revision (source + tests data files: 791 Mb) can be checked out
 with the following command executed in your <code class=
 "envar">${HOME}</code>:</p>
@@ -231,5 +231,5 @@
 </pre>
 <p>The latest revision of the <span class="bold"><strong>source
-files</strong></span> (52 Mb) can be checked out with the following
+files</strong></span> (64 Mb) can be checked out with the following
 command:</p>
 <pre class="screen">
@@ -242,5 +242,5 @@
 </pre>
 <p>The latest revision of the <span class="bold"><strong>NetCDF
-data files</strong></span> (727 Mb) used by the test programs can
+data files</strong></span> (728 Mb) used by the test programs can
 be checked out with the following command:</p>
 <pre class="screen">
@@ -289,10 +289,10 @@
 <h4 class="title"><a name="saxo_src_tar" id=
 "saxo_src_tar"></a>2.3.1.&nbsp; Get <span class=
-"application">SAXO</span> source files (5.8M Mb)</h4>
+"application">SAXO</span> source files ( Mb)</h4>
 </div>
 </div>
 </div>
 <p>Create your <code class="filename"><code class=
-"envar">${HOME}</code>/SAXO_DIR</code> directory...</p>
+"envar">${HOME}</code>/SAXO_DIR</code> directory &hellip;</p>
 <pre class="screen">
   <code class="prompt">$</code> <strong class=
@@ -311,9 +311,9 @@
           
 </pre>
-<p>... and download it the latest version of the sources tar file:
-<a href=
-"http://forge.ipsl.jussieu.fr/saxo/download/SAXO_SRC_20060915r181.tar.gz"
-target="_top">SAXO_SRC_20060915r181.tar.gz</a> (5.8M Mb). This
-tar.gz file could also be downloaded with</p>
+<p>&hellip; and download it the latest version of the sources tar
+file: <a href=
+"http://forge.ipsl.jussieu.fr/saxo/download/SAXO_SRC_.tar.gz"
+target="_top">SAXO_SRC_.tar.gz</a> ( Mb). This tar.gz file could
+also be downloaded with</p>
 <div class="variablelist">
 <dl>
@@ -325,5 +325,5 @@
 "userinput"><code><span><strong class=
 "command">wget</strong></span> <em class=
-"parameter"><code>http://forge.ipsl.jussieu.fr/saxo/download/SAXO_SRC_20060915r181.tar.gz</code></em></code></strong>
+"parameter"><code>http://forge.ipsl.jussieu.fr/saxo/download/SAXO_SRC_.tar.gz</code></em></code></strong>
           
 </pre></dd>
@@ -336,5 +336,5 @@
 "command">curl</strong></span> <code class=
 "option">-O</code> <em class=
-"parameter"><code>http://forge.ipsl.jussieu.fr/saxo/download/SAXO_SRC_20060915r181.tar.gz</code></em></code></strong>
+"parameter"><code>http://forge.ipsl.jussieu.fr/saxo/download/SAXO_SRC_.tar.gz</code></em></code></strong>
           
 </pre></dd>
@@ -352,9 +352,9 @@
 "command">tar</strong></span> <code class=
 "option">xvfz</code> <em class=
-"parameter"><code>SAXO_SRC_20060915r181.tar.gz</code></em></code></strong>
+"parameter"><code>SAXO_SRC_.tar.gz</code></em></code></strong>
   <code class="prompt">$</code> <strong class=
 "userinput"><code><span><strong class=
 "command">rm</strong></span> <em class=
-"parameter"><code>SAXO_SRC_20060915r181.tar.gz</code></em></code></strong>
+"parameter"><code>SAXO_SRC_.tar.gz</code></em></code></strong>
         
 </pre></div>
@@ -412,5 +412,5 @@
 <p>Download <a href=
 "http://forge.ipsl.jussieu.fr/saxo/download/SAXO_DATA_20060602.tar.gz"
-target="_top">SAXO_DATA_20060602.tar.gz</a> (238M Mb) ... or
+target="_top">SAXO_DATA_20060602.tar.gz</a> (238M Mb) &hellip; or
 with</p>
 <div class="variablelist">
@@ -452,5 +452,5 @@
 </div>
 <p>To use <span class="application">SAXO</span>, we need to build
-an idl script that we usually call "<code class=
+an IDL script that we usually call "<code class=
 "filename">init.pro</code>". This file contains a set of IDL
 commands and default definitions (paths and variables of the common