Index: trunk/SRC/Documentation/xmldoc/faqsaxo.xml
===================================================================
--- trunk/SRC/Documentation/xmldoc/faqsaxo.xml	(revision 185)
+++ trunk/SRC/Documentation/xmldoc/faqsaxo.xml	(revision 186)
@@ -238,5 +238,5 @@
 <listitem>
 <para>
-<guimenu>Search</guimenu> does'nt handle characters like <literal>-</literal>
+<guimenu>Search</guimenu> doesn't handle characters like <literal>-</literal>
 and <literal>|</literal>.
 </para>
@@ -267,4 +267,34 @@
 </answer>
 </qandaentry>
+<qandaentry>
+<question>
+<para>
+How can I check spelling of xml files ?
+</para>
+</question>
+<answer>
+<para>
+There is one way with command line :
+     <screen format="linespecific">
+       <prompt>$</prompt> <userinput><command>aspell</command> <option>--mode=sgml</option> <option>-c</option> <parameter><filename><replaceable>xmlfile</replaceable></filename></parameter></userinput>
+     </screen>
+</para>
+</answer>
+</qandaentry>
+<qandaentry>
+<question>
+<para>
+How can I see online help update ?
+</para>
+</question>
+<answer>
+<para>
+You won't see  online help update if you are working with the official distribution because of <varname>!HELP_PATH</varname>. To override this problem, when you are in <filename class="directory"><replaceable>SAXO_basedirectory</replaceable>/SAXO_DIR/SRC/Documentation/xmldoc/</filename>,  you can call online help like this :
+     <screen format="linespecific">
+       <prompt>IDL</prompt> <userinput><command>ONLINE_HELP</command>,<option>book="../idldoc_assistant_output/idldoc-lib.adp"</option></userinput>
+     </screen>
+</para>
+</answer>
+</qandaentry>
 </qandadiv>
 </qandaset>
Index: trunk/SRC/Documentation/xmldoc/savesaxo.sh
===================================================================
--- trunk/SRC/Documentation/xmldoc/savesaxo.sh	(revision 185)
+++ trunk/SRC/Documentation/xmldoc/savesaxo.sh	(revision 186)
@@ -1,4 +1,4 @@
 #!/bin/bash
-# 
+#
 # update :
 # $Id$
@@ -33,22 +33,22 @@
 # ajout de  white-space: pre; dans la css pour file_comments
 # fplod 2006-07-04T13:09:19Z aedon.locean-ipsl.upmc.fr (Darwin)
-# for idldoc html output 
+# for idldoc html output
 # because preformat option doesn't seem to work well
-# replace 
+# replace
 # div class="value"
 # by
 # div class="preformat"
 # fplod 2006-06-19T08:46:39Z aedon.locean-ipsl.upmc.fr (Darwin)
-# for idldoc html output 
+# for idldoc html output
 #. replace
 #     -e 's/\(href=".*\)\(\.html\)\("\)/\1\2?format=raw\3/g' \
 #     -e 's/\(href=".*\)\(\.html\)\(#.*"\)/\1\2?format=raw\3/g' \
 #     -e 's/\(src=".*\)\(\.html\)\("\)/\1\2?format=raw\3/g' \
-# by 
+# by
 # -e 's@\(href="[^.]*[^h]*[^t]*[^m]*[^l]*[^"]*\)\(\.html\)\("\)@\1\2?format=raw\3@g' \
 # -e 's@\(href="[^.]*[^h]*[^t]*[^m]*[^l]*[^"]*\)\(\.html\)\(#.*"\)@\1\2?format=raw\3@g' \
 #-e 's@\(src="[^.]*[^h]*[^t]*[^m]*[^l]*[^"]*\)\(\.html\)\("\)@\1\2?format=raw\3@g'
 # in order to be able to add ?format=raw several time on one line
-# . suppress .html in line like 
+# . suppress .html in line like
 # a parameter from the routine ./ReadWrite/idl-NetCDF/ncdf_read.html
 # in files idldoc-index*.html
@@ -56,5 +56,5 @@
 # add embed parameter idldoc instructions to try to fix ticket#17
 # fplod 2006-06-07T12:11:50Z aedon.locean-ipsl.upmc.fr (Darwin)
-# add g option in ?format=raw sed transformation in order to fix 
+# add g option in ?format=raw sed transformation in order to fix
 # link on top of idldoc like directory-overview.html
 # fplod 2006-06-07T10:57:35Z aedon.locean-ipsl.upmc.fr (Darwin)
@@ -105,5 +105,5 @@
     doSRCidris=0
     doDTAidris=0
-fi    
+fi
 #
 # get the date in a nice format
@@ -118,5 +118,5 @@
     then
     cat <<EOF > /tmp/compileall${$}.pro
-.reset_session  
+.reset_session
 ;
 !path = expand_path('+' + '../..') + ':' + expand_path('+' + !dir)
@@ -131,5 +131,5 @@
 IF !journal NE 0 THEN journal
 journal, myuniquetmpdir + 'cm_demomode_used.pro'
-journal   
+journal
 ;
 resolve_all, resolve_either='keep_compatibility', skip_routines = ['xxx2ps','trends', 'label_gmt']
@@ -154,5 +154,5 @@
     grep -i "error" /tmp/compileallerr_${$}
 #    grep -q "Compilation error(s)" /tmp/compileallerr_${$}
-    if [ ${?} -ne 0 ] 
+    if [ ${?} -ne 0 ]
     then
      echo "ALL SAXO files are OK..."
@@ -174,5 +174,5 @@
 #
     cd ${memopwd}
-    for docxml in firststeps.xml getsaxo.xml mailing.xml websaxo.xml tiplink.xml updatesaxo.xml whatissaxo.xml whatsnew.xml infoupdatekwd.xml infoupdatecm.xml mini_notice.xml faqsaxo.xml 
+    for docxml in firststeps.xml getsaxo.xml mailing.xml websaxo.xml tiplink.xml updatesaxo.xml whatissaxo.xml whatsnew.xml infoupdatekwd.xml infoupdatecm.xml mini_notice.xml faqsaxo.xml
     do
       ./makehtml.sh $(basename ${docxml} .xml)
@@ -242,6 +242,6 @@
     # <div id="tagline">Produced by IDLdoc 2.0</div>
     # <h2>Produced on Wed Jun  7 10:23:13 2006</h2>
-    # will be delete 
-    # other lines will be deleted because the time is the time of checkout not 
+    # will be delete
+    # other lines will be deleted because the time is the time of checkout not
     # the time of revision.
     # the sequence of lines
@@ -345,6 +345,6 @@
     # <div id="tagline">Produced by IDLdoc 2.0</div>
     # <h2>Produced on Wed Jun  7 10:23:13 2006</h2>
-    # will be delete 
-    # other lines will be deleted because the time is the time of checkout not 
+    # will be delete
+    # other lines will be deleted because the time is the time of checkout not
     # the time of revision.
     # the sequence of lines
@@ -382,5 +382,5 @@
     do
       fout=../idldoc_assistant_output/${file_html#../idldoc_html_output/*}
-      fout=${fout%/*}/directory-overview.html 
+      fout=${fout%/*}/directory-overview.html
       sed -e 's/?format=raw//g' ${file_html} > ${fout}
     done
Index: trunk/SRC/Interpolation/spl_fstdrv.pro
===================================================================
--- trunk/SRC/Interpolation/spl_fstdrv.pro	(revision 185)
+++ trunk/SRC/Interpolation/spl_fstdrv.pro	(revision 186)
@@ -6,5 +6,5 @@
 ; @file_comments
 ; SPL_FSTDRV returns the values of the first derivative of
-; the interpolating function at the points X2i. it is a double
+; the interpolating function at the points X2i. It is a double
 ; precision array.
 ;
@@ -32,7 +32,6 @@
 ; The input values for which the first derivative values are desired.
 ; X can be scalar or an array of values.
-
+;
 ; @returns
-;
 ;    y2: f'(x2) = y2.
 ;
Index: trunk/SRC/Picture/showimage.pro
===================================================================
--- trunk/SRC/Picture/showimage.pro	(revision 185)
+++ trunk/SRC/Picture/showimage.pro	(revision 186)
@@ -11,6 +11,6 @@
 ;    JPEG 24-bit true color,
 ;
-;    Any conversions necessary to translate 8-bit or 24-bit files
-;    to 8-bit or 24-bit images on-screen are done automatically.
+; Any conversions necessary to translate 8-bit or 24-bit files
+; to 8-bit or 24-bit images on-screen are done automatically.
 ;
 ; @categories Input/Output.
@@ -33,5 +33,5 @@
 ; Requires IDL 5.2 or higher (image QUERY functions).
 ;
-; @examples $
+; @examples
 ; IDL> showimage, filepath('rose.jpg', subdir='examples/data')
 ;
Index: trunk/SRC/Postscript/openps.pro
===================================================================
--- trunk/SRC/Postscript/openps.pro	(revision 185)
+++ trunk/SRC/Postscript/openps.pro	(revision 186)
@@ -12,14 +12,14 @@
 ;
 ; @keyword FILENAME
-; to define the name of the postscript file through
-; a keyword rather than with nameps input argument
-; (in this case the keyword can be pass through
+; to define the name of the postscript file through a keyword rather than with 
+; nameps input argument (in this case the keyword can be pass through
 ; different routines via _EXTRA keyword).
 ;
 ; @keyword INFOWIDGET
-; If INFOWIDGET is present, it specifies a named
-; variable into which the id of the widget giving informations
-; about the postscript creation is stored as a long integer.
-; This id is needed by close ps to kill the information widget.
+; If INFOWIDGET is present, it specifies a named variable into which the id of 
+; the widget giving information about the postscript creation is stored as a 
+; long integer.
+; This id is needed by <a href="./closeps.html">closeps</a> to kill 
+; the information widget.
 ;
 ; @keyword KEEP_PFONT
Index: trunk/SRC/ToBeReviewed/STRING/strtok.pro
===================================================================
--- trunk/SRC/ToBeReviewed/STRING/strtok.pro	(revision 185)
+++ trunk/SRC/ToBeReviewed/STRING/strtok.pro	(revision 186)
@@ -9,6 +9,5 @@
 ;
 ; @param STRING {in}{required}
-; String to be split.  Contains text after    in, out
-; token on output.
+; String to be split. Contains text after in, out token on output.
 ; 
 ; @param TOKEN {in}{required}
@@ -16,6 +15,5 @@
 ;
 ; @keyword TRIM 
-; set to remove leading blanks from old 
-; before returning.
+; set to remove leading blanks from old before returning.
 ;
 ; @keyword HELP
Index: trunk/SRC/ToBeReviewed/TRIANGULATION/definetri.pro
===================================================================
--- trunk/SRC/ToBeReviewed/TRIANGULATION/definetri.pro	(revision 185)
+++ trunk/SRC/ToBeReviewed/TRIANGULATION/definetri.pro	(revision 186)
@@ -6,8 +6,9 @@
 ; the points are regulary-gridded on nx*ny array.
 ; Find a Delaunay triangulation for this set of points is easy:
-; Points define (nx-1)*(ny-1) rectangles which we can cut in 2
-; triangles. cf. figure above
+; Points define (nx-1)*(ny-1) rectangles which we can cut in 2 triangles. 
+; cf. figure above
 ;
 ; <fixe>
+; fixe
 ;      ny-1*---*---*. . . . . .*---*---*
 ;          |  +|  +|           |  +|  +|      
@@ -47,29 +48,28 @@
 ;
 ; @param DOWNWARD {in}{optional}
-; When downward is undefine all rectangles are cut
-; in using the upward diagonal. Downward is a vector which
-; contains the rectangles numbers which are cut in using the
-; downward diagonal.
-; The rectangle number is define by the index (in a nx*ny
-; vector) of the lower-left corner of the rectangle.
+; When downward is undefine all rectangles are cut in using the upward 
+; diagonal. 
+; Downward is a vector which contains the rectangles numbers which are cut in 
+; using the downward diagonal.
+; The rectangle number is defined by the index (in a nx*ny vector) of the 
+; lower-left corner of the rectangle.
 ;
 ; @returns
-; triangles is a 2d array and is dimensions are 3 and
-; 2*(nx-1)*(ny-1)
-; triangles is define like in the TRIANGULATE procedure.
+; triangles is a 2d array and its dimensions are 3 and 2*(nx-1)*(ny-1).
+; triangles is defined like in the TRIANGULATE procedure.
 ;
 ; @examples
 ;
-; triangles=definetri(3,3,[1,3])
-; triangles will be a this kind of triangulation:
+; IDL> triangles=definetri(3,3,[1,3])
+; triangles will be this kind of triangulation:
 ;
 ;          *---*---*
-;           |+  |  +|
-;           | + | + |
-;           |  +|+  |
+;          |+  |  +|
+;          | + | + |
+;          |  +|+  |
 ;          *---*---*
-;           |  +|+  |
-;           | + | + |
-;           |+  |  +|
+;          |  +|+  |
+;          | + | + |
+;          |+  |  +|
 ;          *---*---*
 ;
@@ -103,5 +103,5 @@
 ; we define upward: upward is a vector which contains the rectangles
 ; numbers which are cut in using the upward diagonal.
-; The rectangle number is define by the index (in a nx*ny vector) of
+; The rectangle number is defined by the index (in a nx*ny vector) of
 ; the lower-left corner of the rectangle.
       upward = bytarr(nx, ny)+1
Index: trunk/SRC/ToBeReviewed/TRIANGULATION/definetri_e.pro
===================================================================
--- trunk/SRC/ToBeReviewed/TRIANGULATION/definetri_e.pro	(revision 185)
+++ trunk/SRC/ToBeReviewed/TRIANGULATION/definetri_e.pro	(revision 186)
@@ -60,10 +60,10 @@
 ;
 ; @param SINGULAR {in}{optional}
-; When singular is undefined all rectangles are cut
-; in using the vertical diagonal. Singular is a vector which
-; contains the rectangles numbers which are cut in using the
-; horizontal diagonal.
-; The rectangle number is define by the index (in a nx*ny
-; vector) of the lower-left corner of the rectangle.
+; When singular is undefined all rectangles are cut in using the vertical 
+; diagonal. 
+; Singular is a vector which contains the rectangles numbers which are cut in 
+; using the horizontal diagonal.
+; The rectangle number is defined by the index (in a nx*ny vector) of the 
+; lower-left corner of the rectangle.
 ;
 ; @keyword SHIFTED
@@ -71,6 +71,5 @@
 ;
 ; @returns
-; Triangles is a 2d array and is dimensions are 3 and
-; (nx-1)*(ny-1)
+; Triangles is a 2d array and is dimensions are 3 and (nx-1)*(ny-1).
 ; Triangles is defined like in the TRIANGULATE procedure.
 ;        
Index: trunk/SRC/ToBeReviewed/TRIANGULATION/section.pro
===================================================================
--- trunk/SRC/ToBeReviewed/TRIANGULATION/section.pro	(revision 185)
+++ trunk/SRC/ToBeReviewed/TRIANGULATION/section.pro	(revision 186)
@@ -58,4 +58,5 @@
 ; 
 ; @version 
+; $Id$
 ; 
 ;-
Index: trunk/SRC/ToBeReviewed/WIDGET/xxx.pro
===================================================================
--- trunk/SRC/ToBeReviewed/WIDGET/xxx.pro	(revision 185)
+++ trunk/SRC/ToBeReviewed/WIDGET/xxx.pro	(revision 186)
@@ -1,5 +1,5 @@
 ;+
 ; @file_comments
-;
+; see <a href="../../../xmldoc/mini_notice.html">Mini Guide for Basic Commands in the XXX Program</a>
 ;
 ; @categories