Index: /trunk/SRC/Documentation/xmldoc/firststeps.html
===================================================================
--- /trunk/SRC/Documentation/xmldoc/firststeps.html	(revision 193)
+++ /trunk/SRC/Documentation/xmldoc/firststeps.html	(revision 194)
@@ -37,5 +37,5 @@
 </div>
 <div><span class="pubdate">svn Id of xml source file : $Id:
-firststeps.xml 188 2006-09-21 12:59:48Z pinsard $<br>
+firststeps.xml 193 2006-09-22 10:13:30Z pinsard $<br>
 <br></span></div>
 <div>
Index: /trunk/SRC/Documentation/xmldoc/getsaxo.html
===================================================================
--- /trunk/SRC/Documentation/xmldoc/getsaxo.html	(revision 193)
+++ /trunk/SRC/Documentation/xmldoc/getsaxo.html	(revision 194)
@@ -37,5 +37,5 @@
 </div>
 <div><span class="pubdate">svn Id of xml source file : $Id:
-getsaxo.xml 188 2006-09-21 12:59:48Z pinsard $<br>
+getsaxo.xml 193 2006-09-22 10:13:30Z pinsard $<br>
 <br></span></div>
 <div>
@@ -219,5 +219,5 @@
 </div>
 <p>The <span class="bold"><strong>complete</strong></span> latest
-revision (source + tests data files: 791 Mb) can be checked out
+revision (source + tests data files: 782 Mb) can be checked out
 with the following command executed in your <code class=
 "envar">${HOME}</code>:</p>
@@ -231,5 +231,5 @@
 </pre>
 <p>The latest revision of the <span class="bold"><strong>source
-files</strong></span> (64 Mb) can be checked out with the following
+files</strong></span> (54 Mb) can be checked out with the following
 command:</p>
 <pre class="screen">
@@ -289,5 +289,5 @@
 <h4 class="title"><a name="saxo_src_tar" id=
 "saxo_src_tar"></a>2.3.1.&nbsp; Get <span class=
-"application">SAXO</span> source files (5.8M Mb)</h4>
+"application">SAXO</span> source files ( Mb)</h4>
 </div>
 </div>
@@ -313,7 +313,7 @@
 <p>&hellip; and download it the latest version of the sources tar
 file: <a href=
-"http://forge.ipsl.jussieu.fr/saxo/download/SAXO_SRC_20060915r181.tar.gz"
-target="_top">SAXO_SRC_20060915r181.tar.gz</a> (5.8M Mb). This
-tar.gz file could also be downloaded with</p>
+"http://forge.ipsl.jussieu.fr/saxo/download/SAXO_SRC_.tar.gz"
+target="_top">SAXO_SRC_.tar.gz</a> ( Mb). This tar.gz file could
+also be downloaded with</p>
 <div class="variablelist">
 <dl>
@@ -325,5 +325,5 @@
 "userinput"><code><span><strong class=
 "command">wget</strong></span> <em class=
-"parameter"><code>http://forge.ipsl.jussieu.fr/saxo/download/SAXO_SRC_20060915r181.tar.gz</code></em></code></strong>
+"parameter"><code>http://forge.ipsl.jussieu.fr/saxo/download/SAXO_SRC_.tar.gz</code></em></code></strong>
           
 </pre></dd>
@@ -336,5 +336,5 @@
 "command">curl</strong></span> <code class=
 "option">-O</code> <em class=
-"parameter"><code>http://forge.ipsl.jussieu.fr/saxo/download/SAXO_SRC_20060915r181.tar.gz</code></em></code></strong>
+"parameter"><code>http://forge.ipsl.jussieu.fr/saxo/download/SAXO_SRC_.tar.gz</code></em></code></strong>
           
 </pre></dd>
@@ -352,9 +352,9 @@
 "command">tar</strong></span> <code class=
 "option">xvfz</code> <em class=
-"parameter"><code>SAXO_SRC_20060915r181.tar.gz</code></em></code></strong>
+"parameter"><code>SAXO_SRC_.tar.gz</code></em></code></strong>
   <code class="prompt">$</code> <strong class=
 "userinput"><code><span><strong class=
 "command">rm</strong></span> <em class=
-"parameter"><code>SAXO_SRC_20060915r181.tar.gz</code></em></code></strong>
+"parameter"><code>SAXO_SRC_.tar.gz</code></em></code></strong>
         
 </pre></div>
Index: /trunk/SRC/Documentation/xmldoc/mini_notice.html
===================================================================
--- /trunk/SRC/Documentation/xmldoc/mini_notice.html	(revision 193)
+++ /trunk/SRC/Documentation/xmldoc/mini_notice.html	(revision 194)
@@ -45,5 +45,5 @@
 </div>
 <div><span class="pubdate">svn Id of xml source file : $Id:
-mini_notice.xml 188 2006-09-21 12:59:48Z pinsard $<br>
+mini_notice.xml 193 2006-09-22 10:13:30Z pinsard $<br>
 <br></span></div>
 <div>
Index: /trunk/SRC/Documentation/xmldoc/websaxo.html
===================================================================
--- /trunk/SRC/Documentation/xmldoc/websaxo.html	(revision 193)
+++ /trunk/SRC/Documentation/xmldoc/websaxo.html	(revision 194)
@@ -37,5 +37,5 @@
 </div>
 <div><span class="pubdate">svn Id of xml source file : $Id:
-websaxo.xml 188 2006-09-21 12:59:48Z pinsard $<br>
+websaxo.xml 193 2006-09-22 10:13:30Z pinsard $<br>
 <br></span></div>
 <div>
@@ -126,5 +126,5 @@
 <li>
 <p>September 2006: One <span class="bold"><strong>unique
-online_help</strong></span> for IDL and SAXO (requires IDL 6.2 and
+online_help</strong></span> for IDL and SAXO (requires IDL 6.2 or
 higher).</p>
 </li>
@@ -136,11 +136,10 @@
 </li>
 <li>
-<p>March 2006-May 2006 : migration for <span class=
+<p>March 2006-May 2006 : migration of <span class=
 "bold"><strong>obsolete</strong></span> CVS repository +
 S&eacute;bastien Masson improvements in a beautiful
 &ldquo;<span class="quote"><span class=
 "application">trac</span>+<span class=
-"application">svn</span></span>&rdquo; project on <code class=
-"systemitem">http:://forge.ipsl.jussieu.fr/saxo/</code>.</p>
+"application">svn</span></span>&rdquo; project.</p>
 </li>
 <li>
Index: /trunk/SRC/Documentation/xmldoc/websaxo.xml
===================================================================
--- /trunk/SRC/Documentation/xmldoc/websaxo.xml	(revision 193)
+++ /trunk/SRC/Documentation/xmldoc/websaxo.xml	(revision 194)
@@ -68,5 +68,5 @@
 <listitem> 
 <para>
-March 2006-May 2006 : migration of <emphasis role="bold">obsolete</emphasis> CVS repository + Sébastien Masson improvements in a beautiful <quote><application>trac</application>+<application>svn</application></quote> project.</systemitem>.
+March 2006-May 2006 : migration of <emphasis role="bold">obsolete</emphasis> CVS repository + Sébastien Masson improvements in a beautiful <quote><application>trac</application>+<application>svn</application></quote> project.
 </para>
 </listitem>
Index: /trunk/SRC/Documentation/xmldoc/whatissaxo.html
===================================================================
--- /trunk/SRC/Documentation/xmldoc/whatissaxo.html	(revision 193)
+++ /trunk/SRC/Documentation/xmldoc/whatissaxo.html	(revision 194)
@@ -36,5 +36,5 @@
 </div>
 <div><span class="pubdate">svn Id of xml source file : $Id:
-whatissaxo.xml 188 2006-09-21 12:59:48Z pinsard $<br>
+whatissaxo.xml 193 2006-09-22 10:13:30Z pinsard $<br>
 <br></span></div>
 <div>
Index: /trunk/SRC/Documentation/xmldoc/whatsnew.html
===================================================================
--- /trunk/SRC/Documentation/xmldoc/whatsnew.html	(revision 193)
+++ /trunk/SRC/Documentation/xmldoc/whatsnew.html	(revision 194)
@@ -37,5 +37,5 @@
 </div>
 <div><span class="pubdate">svn Id of xml source file : $Id:
-whatsnew.xml 188 2006-09-21 12:59:48Z pinsard $<br>
+whatsnew.xml 189 2006-09-21 13:55:54Z pinsard $<br>
 <br></span></div>
 <div>